// SPDX-License-Identifier: Apache-2.0
// Copyright (c) 2018 Georgi Marinov
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
import { Entities as IEntities } from './../../interfaces/entities/entities';
import { Entity } from './../../interfaces/entities/entity';
import { Indexable } from '../indexable';

/**
 * Entities class.
 * ~extends {@link Indexable<Entity>}
 * ~implements {@link IEntities}
 */
export class Entities extends Indexable<Entity> implements IEntities {
  /** The Curriculum Vitae */
  'Curriculum Vitae': Entity;
  /** The Personal Data */
  'Personal Data': Entity;
  /** The Background */
  'Background': Entity;
  /** The Professional Experience */
  'Professional Experience': Entity;
  /** The Education */
  'Education': Entity;
  /** The Accomplishments */
  'Accomplishments': Entity;
  /** The Certifications */
  'Certifications': Entity;
  /** The Certifications Index */
  'Certifications Index': Entity;
  /** The Certifications List */
  'Certifications List': Entity;
  /** The Languages */
  'Languages': Entity;
  /** The Languages Index */
  'Languages Index': Entity;
  /** The Languages List */
  'Languages List': Entity;
  /** The Languages Chart */
  'Languages Chart': Entity;
  /** The Courses */
  'Courses': Entity;
  /** The Courses Index */
  'Courses Index': Entity;
  /** The Courses List */
  'Courses List': Entity;
  /** The Organizations */
  'Organizations': Entity;
  /** The Organizations Index */
  'Organizations Index': Entity;
  /** The Organizations List */
  'Organizations List': Entity;
  /** The Honors and Awards */
  'Honors and Awards': Entity;
  /** The Honors and Awards Index */
  'Honors and Awards Index': Entity;
  /** The Honors and Awards List */
  'Honors and Awards List': Entity;
  /** The Volunteering */
  'Volunteering': Entity;
  /** The Volunteering Index */
  'Volunteering Index': Entity;
  /** The Volunteering List */
  'Volunteering List': Entity;
  /** The Interests and Hobbies */
  'Interests and Hobbies': Entity;
  /** The Interests and Hobbies Index */
  'Interests and Hobbies Index': Entity;
  /** The Interests and Hobbies List */
  'Interests and Hobbies List': Entity;
  /** The Vacation */
  'Vacation': Entity;
  /** The Vacation Index */
  'Vacation Index': Entity;
  /** The Vacation List */
  'Vacation List': Entity;
  /** The Publications */
  'Publications': Entity;
  /** The Publications Index */
  'Publications Index': Entity;
  /** The Publications List */
  'Publications List': Entity;
  /** The Project Summary */
  'Project Summary': Entity;
  /** The Areas of Expertise */
  'Areas of Expertise': Entity;
  /** The Client */
  'Client': Entity;
  /** The Country */
  'Country': Entity;
  /** The Country Index */
  'Country Index': Entity;
  /** The Country Map */
  'Country Map': Entity;
  /** The Industry */
  'Industry': Entity;
  /** The Project type */
  'Project type': Entity;
  /** The System type */
  'System type': Entity;
  /** The Skills */
  'Skills': Entity;
  /** The Platform */
  'Platform': Entity;
  /** The Architecture */
  'Architecture': Entity;
  /** The Languages and notations */
  'Languages and notations': Entity;
  /** The IDEs and Tools */
  'IDEs and Tools': Entity;
  /** The Methodology and practices */
  'Methodology and practices': Entity;
  /** The Job Functions */
  'Job Functions': Entity;
  /** The Responsibilities */
  'Responsibilities': Entity;
  /** The Role */
  'Role': Entity;
  /** The Team size */
  'Team size': Entity;
  /** The Position */
  'Position': Entity;
  /** The Reference */
  'Reference': Entity;
  /** The Project Portfolio */
  'Project Portfolio': Entity;
  /** The Gantt Chart */
  'Gantt Chart': Entity;
  /** The Gantt Chart Map */
  'Gantt Chart Map': Entity;
  /** The Contributions */
  'Contributions': Entity;
  /** The List */
  'List': Entity;
  /** The Index */
  'Index': Entity;
  /** The Projects */
  'Projects': Entity;
  /** The Contemporary Period */
  'Contemporary Period': Entity;
  /** The Modern Age */
  'Modern Age': Entity;
  /** The Renaissance */
  'Renaissance': Entity;
  /** The Dark Ages */
  'Dark Ages': Entity;
  /** The General Timeline */
  'General Timeline': Entity;
  /** The General Timeline Map */
  'General Timeline Map': Entity;
  /** The Id */
  'Id': Entity;
  /** The From */
  'From': Entity;
  /** The To */
  'To': Entity;
  /** The Project name */
  'Project name': Entity;
  /** The Links */
  'Links': Entity;
  /** The References */
  'References': Entity;
  /** The Navigation */
  'Navigation': Entity;
  /** The Pipeline */
  'Pipeline': Entity;
  /** The Service catalog */
  'Service catalog': Entity;
  /** The Reference architecture */
  'Reference architecture': Entity;
  /** The Version */
  'Version': Entity;
}
