// SPDX-License-Identifier: Apache-2.0
// Copyright (c) 2018 Georgi Marinov
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
const nodes = [{"id":"main","label":"*main*\n.","shape":"box","font":{"multi":"md","size":14}},{"id":"app/app.module","label":"*app.module*\napp","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"environments/environment","label":"*environment*\nenvironments","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/error-handler/error-handler.service","label":"*error-handler.service*\napp/services/error-handler","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/app.component","label":"*app.component*\napp","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/services/app/app.service","label":"*app.service*\napp/services/app","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/interfaces/context/context-configuration","label":"*context-configuration*\napp/interfaces/context","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/theme-changer/theme-changer.service","label":"*theme-changer.service*\napp/services/theme-changer","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/persistence/persistence.service","label":"*persistence.service*\napp/services/persistence","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/app-routing.module","label":"*app-routing.module*\napp","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/context-switcher/context-switcher.module","label":"*context-switcher.module*\napp/modules/context-switcher","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/portfolio/portfolio.module","label":"*portfolio.module*\napp/modules/portfolio","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/webpage/webpage.module","label":"*webpage.module*\napp/modules/webpage","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/services/config/config.service","label":"*config.service*\napp/services/config","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/data/data.service","label":"*data.service*\napp/services/data","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/image-data/image-data.service","label":"*image-data.service*\napp/services/image-data","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/chart/chart.service","label":"*chart.service*\napp/services/chart","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/chart-color/chart-color.service","label":"*chart-color.service*\napp/services/chart-color","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/gantt-chart/gantt-chart.service","label":"*gantt-chart.service*\napp/services/gantt-chart","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/general-timeline/general-timeline.service","label":"*general-timeline.service*\napp/services/general-timeline","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/map/map.service","label":"*map.service*\napp/services/map","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/tag-cloud-processor/tag-cloud-processor.service","label":"*tag-cloud-processor.service*\napp/services/tag-cloud-processor","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/excel-date-formatter/excel-date-formatter.service","label":"*excel-date-formatter.service*\napp/services/excel-date-formatter","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/search-engine/search-engine.service","label":"*search-engine.service*\napp/services/search-engine","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/search-history/search-history.service","label":"*search-history.service*\napp/services/search-history","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/search-tokenizer/search-tokenizer.service","label":"*search-tokenizer.service*\napp/services/search-tokenizer","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/document/document.service","label":"*document.service*\napp/services/document","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/entities/entities.service","label":"*entities.service*\napp/services/entities","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/count-cache/count-cache.service","label":"*count-cache.service*\napp/services/count-cache","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/factories/truncator/truncator.service.factory","label":"*truncator.service.factory*\napp/factories/truncator","shape":"box","font":{"multi":"md","size":14}},{"id":"app/factories/sorter/sorter.service.factory","label":"*sorter.service.factory*\napp/factories/sorter","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/context/context.service","label":"*context.service*\napp/services/context","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/log-update/log-update.service","label":"*log-update.service*\napp/services/log-update","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/prompt-update/prompt-update.service","label":"*prompt-update.service*\napp/services/prompt-update","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/check-for-update/check-for-update.service","label":"*check-for-update.service*\napp/services/check-for-update","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/is-secure-guard/is-secure-guard.service","label":"*is-secure-guard.service*\napp/services/is-secure-guard","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/input/input.service","label":"*input.service*\napp/services/input","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/image/image.service","label":"*image.service*\napp/services/image","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/localization/localization.service","label":"*localization.service*\napp/services/localization","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/ui/ui.service","label":"*ui.service*\napp/services/ui","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/toggle/toggle.service","label":"*toggle.service*\napp/services/toggle","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/toolbar/toolbar.service","label":"*toolbar.service*\napp/services/toolbar","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/accomplishments/accomplishments.service","label":"*accomplishments.service*\napp/services/accomplishments","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/data-loader/data-loader.service","label":"*data-loader.service*\napp/services/data-loader","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/entities-adjuster/entities-adjuster.service","label":"*entities-adjuster.service*\napp/services/entities-adjuster","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/engine/engine.service","label":"*engine.service*\napp/services/engine","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/search/search.service","label":"*search.service*\napp/services/search","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/filter/filter.service","label":"*filter.service*\napp/services/filter","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/filter-general-timeline/filter-general-timeline.service","label":"*filter-general-timeline.service*\napp/services/filter-general-timeline","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/model/model/model.model","label":"*model.model*\napp/model/model","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/component-outlet-injector/component-outlet-injector.service","label":"*component-outlet-injector.service*\napp/services/component-outlet-injector","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/component-outlet-injector/params","label":"*params*\napp/services/component-outlet-injector","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/logger/logger","label":"*logger*\napp/classes/logger","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/console-logger/console-logger.service","label":"*console-logger.service*\napp/services/console-logger","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/components/stylesheets/stylesheets.component","label":"*stylesheets.component*\napp/components/stylesheets","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/services/classifier/classifier.service","label":"*classifier.service*\napp/services/classifier","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/classes/indexable","label":"*indexable*\napp/classes","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/indexable","label":"*indexable*\napp/interfaces","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/accomplishment/accomplishment","label":"*accomplishment*\napp/classes/accomplishment","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/course","label":"*course*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/ontology/ontology","label":"*ontology*\napp/classes/ontology","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/cv/cv","label":"*cv*\napp/classes/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/cv","label":"*cv*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/personal-data","label":"*personal-data*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/professional-experience","label":"*professional-experience*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/education","label":"*education*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/certification","label":"*certification*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/language","label":"*language*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/publication","label":"*publication*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/entities/entities","label":"*entities*\napp/classes/entities","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/entities/entities","label":"*entities*\napp/interfaces/entities","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/entities/entity","label":"*entity*\napp/interfaces/entities","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/gantt-chart-entry/gantt-chart-entry","label":"*gantt-chart-entry*\napp/classes/gantt-chart-entry","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/gantt-chart-entry/gantt-chart-entry","label":"*gantt-chart-entry*\napp/interfaces/gantt-chart-entry","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/general-timeline-entry/general-timeline-entry","label":"*general-timeline-entry*\napp/classes/general-timeline-entry","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/general-timeline-entry/general-timeline-entry","label":"*general-timeline-entry*\napp/interfaces/general-timeline-entry","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/logger/logger","label":"*logger*\napp/interfaces/logger","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/ontology-entry/ontology-entry","label":"*ontology-entry*\napp/interfaces/ontology-entry","shape":"box","font":{"multi":"md","size":14}},{"id":"app/classes/ui/ui","label":"*ui*\napp/classes/ui","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/ui/ui","label":"*ui*\napp/interfaces/ui","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/ui/ui-entry","label":"*ui-entry*\napp/interfaces/ui","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/accomplishments/accomplishments.component","label":"*accomplishments.component*\napp/components/accomplishments","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/accomplishments-provider/accomplishments-provider.component","label":"*accomplishments-provider.component*\napp/components/accomplishments-provider","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/enums/sorter-kind.enum","label":"*sorter-kind.enum*\napp/enums","shape":"box","font":{"multi":"md","size":14}},{"id":"app/enums/truncator-kind.enum","label":"*truncator-kind.enum*\napp/enums","shape":"box","font":{"multi":"md","size":14}},{"id":"app/enums/toggle-kind.enum","label":"*toggle-kind.enum*\napp/enums","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/portfolio/portfolio.service","label":"*portfolio.service*\napp/services/portfolio","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/sorter/sorter.service","label":"*sorter.service*\napp/services/sorter","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/truncator/truncator.service","label":"*truncator.service*\napp/services/truncator","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/components/course-index/course-index.component","label":"*course-index.component*\napp/components/course-index","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/course-list/course-list.component","label":"*course-list.component*\napp/components/course-list","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/course/course.component","label":"*course.component*\napp/components/course","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/language/language.component","label":"*language.component*\napp/components/language","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/header/header.component","label":"*header.component*\napp/components/header","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/background/background.component","label":"*background.component*\napp/components/background","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/education/education.component","label":"*education.component*\napp/components/education","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/personal-data/personal-data.component","label":"*personal-data.component*\napp/components/personal-data","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/professional-experience/professional-experience.component","label":"*professional-experience.component*\napp/components/professional-experience","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/badge/badge.component","label":"*badge.component*\napp/components/badge","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/services/string-ex/string-ex.service","label":"*string-ex.service*\napp/services/string-ex","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/components/context/context.component","label":"*context.component*\napp/components/context","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/interfaces/context/context","label":"*context*\napp/interfaces/context","shape":"box","font":{"multi":"md","size":14}},{"id":"app/enums/nav-state","label":"*nav-state*\napp/enums","shape":"box","color":"#cfcfcf","font":{"multi":"md","size":14}},{"id":"app/components/context-switcher/context-switcher.component","label":"*context-switcher.component*\napp/components/context-switcher","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/property/property.component","label":"*property.component*\napp/components/property","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/cv/cv.component","label":"*cv.component*\napp/components/cv","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/footer/footer.component","label":"*footer.component*\napp/components/footer","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/footer-provider/footer-provider.component","label":"*footer-provider.component*\napp/components/footer-provider","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/footer/badge.config.json","label":"*badge.config.json*\napp/components/footer","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/general-timeline/general-timeline.component","label":"*general-timeline.component*\napp/components/general-timeline","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/general-timeline-map/general-timeline-map.component","label":"*general-timeline-map.component*\napp/components/general-timeline-map","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/geolocation/geolocation.component","label":"*geolocation.component*\napp/components/geolocation","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/services/geolocation/geolocation.service","label":"*geolocation.service*\napp/services/geolocation","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/components/header-title/header-title.component","label":"*header-title.component*\napp/components/header-title","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/toolbar/toolbar.component","label":"*toolbar.component*\napp/components/toolbar","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/sorter/sorter.component","label":"*sorter.component*\napp/components/sorter","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/enums/go.enum","label":"*go.enum*\napp/enums","shape":"box","font":{"multi":"md","size":14}},{"id":"app/interfaces/events/responsive-changed-event","label":"*responsive-changed-event*\napp/interfaces/events","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/map/map.component","label":"*map.component*\napp/components/map","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/multi-toggle/multi-toggle.component","label":"*multi-toggle.component*\napp/components/multi-toggle","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/enums/tag-cloud-display-mode.enum","label":"*tag-cloud-display-mode.enum*\napp/enums","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/navigation/navigation.component","label":"*navigation.component*\napp/components/navigation","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/pipeline/pipeline.component","label":"*pipeline.component*\napp/components/pipeline","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/pipeline/badge.config.json","label":"*badge.config.json*\napp/components/pipeline","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/portfolio/portfolio.component","label":"*portfolio.component*\napp/components/portfolio","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/services/mock-data/mock-data.service","label":"*mock-data.service*\napp/services/mock-data","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/components/project/project.component","label":"*project.component*\napp/components/project","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/project-index/project-index.component","label":"*project-index.component*\napp/components/project-index","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/project-contributions/project-contributions.component","label":"*project-contributions.component*\napp/components/project-contributions","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/project-list/project-list.component","label":"*project-list.component*\napp/components/project-list","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/project-card/project-card.component","label":"*project-card.component*\napp/components/project-card","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/interfaces/project/project","label":"*project*\napp/interfaces/project","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/project-gantt-chart-map/project-gantt-chart-map.component","label":"*project-gantt-chart-map.component*\napp/components/project-gantt-chart-map","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/project-gantt-chart/project-gantt-chart.component","label":"*project-gantt-chart.component*\napp/components/project-gantt-chart","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/project-summary/project-summary.component","label":"*project-summary.component*\napp/components/project-summary","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/property-provider/property-provider.component","label":"*property-provider.component*\napp/components/property-provider","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/publication/publication.component","label":"*publication.component*\napp/components/publication","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/publication-index/publication-index.component","label":"*publication-index.component*\napp/components/publication-index","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/publication-list/publication-list.component","label":"*publication-list.component*\napp/components/publication-list","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/search/search.component","label":"*search.component*\napp/components/search","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/search-provider/search-provider.component","label":"*search-provider.component*\napp/components/search-provider","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/selector-header/selector-header.component","label":"*selector-header.component*\napp/components/selector-header","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/service-catalog/service-catalog.component","label":"*service-catalog.component*\napp/components/service-catalog","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/service-catalog/badge.config.json","label":"*badge.config.json*\napp/components/service-catalog","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/settings-sharer/settings-sharer.component","label":"*settings-sharer.component*\napp/components/settings-sharer","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/spectrum/spectrum.component","label":"*spectrum.component*\napp/components/spectrum","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/spectrum-provider/spectrum-provider.component","label":"*spectrum-provider.component*\napp/components/spectrum-provider","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/theme-changer/theme-changer.component","label":"*theme-changer.component*\napp/components/theme-changer","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/toggle/toggle.component","label":"*toggle.component*\napp/components/toggle","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/truncator/truncator.component","label":"*truncator.component*\napp/components/truncator","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/version/version.component","label":"*version.component*\napp/components/version","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/components/version/badge.config.json","label":"*badge.config.json*\napp/components/version","shape":"box","font":{"multi":"md","size":14}},{"id":"app/components/webpage/webpage.component","label":"*webpage.component*\napp/components/webpage","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/interfaces/cv/accomplishment","label":"*accomplishment*\napp/interfaces/cv","shape":"box","font":{"multi":"md","size":14}},{"id":"app/model/accomplishments/accomplishments.model","label":"*accomplishments.model*\napp/model/accomplishments","shape":"box","font":{"multi":"md","size":14}},{"id":"app/model/chart/chart.model","label":"*chart.model*\napp/model/chart","shape":"box","font":{"multi":"md","size":14}},{"id":"app/model/entities/entities.model","label":"*entities.model*\napp/model/entities","shape":"box","font":{"multi":"md","size":14}},{"id":"app/model/portfolio/portfolio.model","label":"*portfolio.model*\napp/model/portfolio","shape":"box","font":{"multi":"md","size":14}},{"id":"app/modules/accomplishments/accomplishments-routing.module","label":"*accomplishments-routing.module*\napp/modules/accomplishments","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/accomplishments/accomplishments.module","label":"*accomplishments.module*\napp/modules/accomplishments","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/language/language.module","label":"*language.module*\napp/modules/language","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/course/course.module","label":"*course.module*\napp/modules/course","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/general-timeline-map/general-timeline-map.module","label":"*general-timeline-map.module*\napp/modules/general-timeline-map","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/publication/publication.module","label":"*publication.module*\napp/modules/publication","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-gantt-chart-map/project-gantt-chart-map.module","label":"*project-gantt-chart-map.module*\napp/modules/project-gantt-chart-map","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-contributions/project-contributions.module","label":"*project-contributions.module*\napp/modules/project-contributions","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/sorter/sorter.module","label":"*sorter.module*\napp/modules/sorter","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/header/header.module","label":"*header.module*\napp/modules/header","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/accomplishments-provider/accomplishments-provider-routing.module","label":"*accomplishments-provider-routing.module*\napp/modules/accomplishments-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/accomplishments-provider/accomplishments-provider.module","label":"*accomplishments-provider.module*\napp/modules/accomplishments-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/background/background-routing.module","label":"*background-routing.module*\napp/modules/background","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/background/background.module","label":"*background.module*\napp/modules/background","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/education/education.module","label":"*education.module*\napp/modules/education","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/professional-experience/professional-experience.module","label":"*professional-experience.module*\napp/modules/professional-experience","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/badge/badge-routing.module","label":"*badge-routing.module*\napp/modules/badge","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/badge/badge.module","label":"*badge.module*\napp/modules/badge","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/context/context-routing.module","label":"*context-routing.module*\napp/modules/context","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/context/context.module","label":"*context.module*\napp/modules/context","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/context-switcher/context-switcher-routing.module","label":"*context-switcher-routing.module*\napp/modules/context-switcher","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/course/course-routing.module","label":"*course-routing.module*\napp/modules/course","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/course-index/course-index.module","label":"*course-index.module*\napp/modules/course-index","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/course-list/course-list.module","label":"*course-list.module*\napp/modules/course-list","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/course-index/course-index-routing.module","label":"*course-index-routing.module*\napp/modules/course-index","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/course-list/course-list-routing.module","label":"*course-list-routing.module*\napp/modules/course-list","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/cv/cv-routing.module","label":"*cv-routing.module*\napp/modules/cv","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/cv/cv.module","label":"*cv.module*\napp/modules/cv","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/personal-data/personal-data.module","label":"*personal-data.module*\napp/modules/personal-data","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/education/education-routing.module","label":"*education-routing.module*\napp/modules/education","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/selector-header/selector-header.module","label":"*selector-header.module*\napp/modules/selector-header","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/selector/selector.module","label":"*selector.module*\napp/modules/selector","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/footer/footer-routing.module","label":"*footer-routing.module*\napp/modules/footer","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/footer/footer.module","label":"*footer.module*\napp/modules/footer","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/geolocation/geolocation.module","label":"*geolocation.module*\napp/modules/geolocation","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/pipeline/pipeline.module","label":"*pipeline.module*\napp/modules/pipeline","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/service-catalog/service-catalog.module","label":"*service-catalog.module*\napp/modules/service-catalog","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/version/version.module","label":"*version.module*\napp/modules/version","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/footer-provider/footer-provider-routing.module","label":"*footer-provider-routing.module*\napp/modules/footer-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/footer-provider/footer-provider.module","label":"*footer-provider.module*\napp/modules/footer-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/general-timeline/general-timeline-routing.module","label":"*general-timeline-routing.module*\napp/modules/general-timeline","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/general-timeline/general-timeline.module","label":"*general-timeline.module*\napp/modules/general-timeline","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/general-timeline-map/general-timeline-map-routing.module","label":"*general-timeline-map-routing.module*\napp/modules/general-timeline-map","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/geolocation/geolocation-routing.module","label":"*geolocation-routing.module*\napp/modules/geolocation","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/header/header-routing.module","label":"*header-routing.module*\napp/modules/header","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/toggle/toggle.module","label":"*toggle.module*\napp/modules/toggle","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/header-title/header-title.module","label":"*header-title.module*\napp/modules/header-title","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/toolbar/toolbar.module","label":"*toolbar.module*\napp/modules/toolbar","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/header-title/header-title-routing.module","label":"*header-title-routing.module*\napp/modules/header-title","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/language/language-routing.module","label":"*language-routing.module*\napp/modules/language","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/map/map-routing.module","label":"*map-routing.module*\napp/modules/map","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/map/map.module","label":"*map.module*\napp/modules/map","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/multi-toggle/multi-toggle-routing.module","label":"*multi-toggle-routing.module*\napp/modules/multi-toggle","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/multi-toggle/multi-toggle.module","label":"*multi-toggle.module*\napp/modules/multi-toggle","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/navigation/navigation-routing.module","label":"*navigation-routing.module*\napp/modules/navigation","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/navigation/navigation.module","label":"*navigation.module*\napp/modules/navigation","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/pipes/keys/keys.pipe","label":"*keys.pipe*\napp/pipes/keys","shape":"box","font":{"multi":"md","size":14}},{"id":"app/modules/personal-data/personal-data-routing.module","label":"*personal-data-routing.module*\napp/modules/personal-data","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/pipeline/pipeline-routing.module","label":"*pipeline-routing.module*\napp/modules/pipeline","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/portfolio/portfolio-routing.module","label":"*portfolio-routing.module*\napp/modules/portfolio","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/search/search.module","label":"*search.module*\napp/modules/search","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-summary/project-summary.module","label":"*project-summary.module*\napp/modules/project-summary","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project/project.module","label":"*project.module*\napp/modules/project","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/truncator/truncator.module","label":"*truncator.module*\napp/modules/truncator","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/theme-changer/theme-changer.module","label":"*theme-changer.module*\napp/modules/theme-changer","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/settings-sharer/settings-sharer.module","label":"*settings-sharer.module*\napp/modules/settings-sharer","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/property/property.module","label":"*property.module*\napp/modules/property","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/professional-experience/professional-experience-routing.module","label":"*professional-experience-routing.module*\napp/modules/professional-experience","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project/project-routing.module","label":"*project-routing.module*\napp/modules/project","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-gantt-chart/project-gantt-chart.module","label":"*project-gantt-chart.module*\napp/modules/project-gantt-chart","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-list/project-list.module","label":"*project-list.module*\napp/modules/project-list","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-index/project-index.module","label":"*project-index.module*\napp/modules/project-index","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-card/project-card.module","label":"*project-card.module*\napp/modules/project-card","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-card/project-card-routing.module","label":"*project-card-routing.module*\napp/modules/project-card","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-contributions/project-contributions-routing.module","label":"*project-contributions-routing.module*\napp/modules/project-contributions","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-gantt-chart/project-gantt-chart-routing.module","label":"*project-gantt-chart-routing.module*\napp/modules/project-gantt-chart","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-gantt-chart-map/project-gantt-chart-map-routing.module","label":"*project-gantt-chart-map-routing.module*\napp/modules/project-gantt-chart-map","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-index/project-index-routing.module","label":"*project-index-routing.module*\napp/modules/project-index","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-list/project-list-routing.module","label":"*project-list-routing.module*\napp/modules/project-list","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/project-summary/project-summary-routing.module","label":"*project-summary-routing.module*\napp/modules/project-summary","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/spectrum/spectrum.module","label":"*spectrum.module*\napp/modules/spectrum","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/property/property-routing.module","label":"*property-routing.module*\napp/modules/property","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/property-provider/property-provider.module","label":"*property-provider.module*\napp/modules/property-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/property-provider/property-provider-routing.module","label":"*property-provider-routing.module*\napp/modules/property-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/publication/publication-routing.module","label":"*publication-routing.module*\napp/modules/publication","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/publication-index/publication-index.module","label":"*publication-index.module*\napp/modules/publication-index","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/publication-list/publication-list.module","label":"*publication-list.module*\napp/modules/publication-list","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/publication-index/publication-index-routing.module","label":"*publication-index-routing.module*\napp/modules/publication-index","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/publication-list/publication-list-routing.module","label":"*publication-list-routing.module*\napp/modules/publication-list","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/search/search-routing.module","label":"*search-routing.module*\napp/modules/search","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/search-provider/search-provider.module","label":"*search-provider.module*\napp/modules/search-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/search-provider/search-provider-routing.module","label":"*search-provider-routing.module*\napp/modules/search-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/selector/selector-routing.module","label":"*selector-routing.module*\napp/modules/selector","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/components/selector/selector.component","label":"*selector.component*\napp/components/selector","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/modules/selector-header/selector-header-routing.module","label":"*selector-header-routing.module*\napp/modules/selector-header","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/service-catalog/service-catalog-routing.module","label":"*service-catalog-routing.module*\napp/modules/service-catalog","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/settings-sharer/settings-sharer-routing.module","label":"*settings-sharer-routing.module*\napp/modules/settings-sharer","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/soc-bar/soc-bar-routing.module","label":"*soc-bar-routing.module*\napp/modules/soc-bar","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/components/soc-bar/soc-bar.component","label":"*soc-bar.component*\napp/components/soc-bar","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/modules/soc-bar/soc-bar.module","label":"*soc-bar.module*\napp/modules/soc-bar","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/sorter/sorter-routing.module","label":"*sorter-routing.module*\napp/modules/sorter","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/spectrum/spectrum-routing.module","label":"*spectrum-routing.module*\napp/modules/spectrum","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/spectrum-provider/spectrum-provider.module","label":"*spectrum-provider.module*\napp/modules/spectrum-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/spectrum-provider/spectrum-provider-routing.module","label":"*spectrum-provider-routing.module*\napp/modules/spectrum-provider","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/theme-changer/theme-changer-routing.module","label":"*theme-changer-routing.module*\napp/modules/theme-changer","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/toggle/toggle-routing.module","label":"*toggle-routing.module*\napp/modules/toggle","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/toolbar/toolbar-routing.module","label":"*toolbar-routing.module*\napp/modules/toolbar","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/truncator/truncator-routing.module","label":"*truncator-routing.module*\napp/modules/truncator","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/version/version-routing.module","label":"*version-routing.module*\napp/modules/version","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/modules/webpage/webpage-routing.module","label":"*webpage-routing.module*\napp/modules/webpage","shape":"box","color":"#ffcfcf","font":{"multi":"md","size":14}},{"id":"app/services/chart-color/hsla","label":"*hsla*\napp/services/chart-color","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/chart-color/color-component","label":"*color-component*\napp/services/chart-color","shape":"box","color":"#cfffcf","font":{"multi":"md","size":14}},{"id":"app/services/logger/logger.service","label":"*logger.service*\napp/services/logger","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/services/ontology-adjuster/ontology-adjuster.service","label":"*ontology-adjuster.service*\napp/services/ontology-adjuster","shape":"box","color":"#ffcfff","font":{"multi":"md","size":14}},{"id":"app/enums/geolocation-provider.enum","label":"*geolocation-provider.enum*\napp/enums","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/geolocation/geolocation.default.json","label":"*geolocation.default.json*\napp/services/geolocation","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/persistence/storage","label":"*storage*\napp/services/persistence","shape":"box","font":{"multi":"md","size":14}},{"id":"app/enums/sort-order.enum","label":"*sort-order.enum*\napp/enums","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/theme-changer/dynamic-persisted.decorator","label":"*dynamic-persisted.decorator*\napp/services/theme-changer","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/theme-changer/theme-config-variable","label":"*theme-config-variable*\napp/services/theme-changer","shape":"box","font":{"multi":"md","size":14}},{"id":"app/services/theme-changer/app.theme.config.json","label":"*app.theme.config.json*\napp/services/theme-changer","shape":"box","font":{"multi":"md","size":14}}];
const edges = [{"to":"main","from":"app/app.module","arrows":"from","label":"AppModule","font":{"align":"horizontal"}},{"to":"main","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"main","from":"app/services/error-handler/error-handler.service","arrows":"from","label":"errorHandler","font":{"align":"horizontal"}},{"to":"app/app.component","from":"app/services/app/app.service","arrows":"from","label":"AppService","font":{"align":"horizontal"}},{"to":"app/app.component","from":"app/interfaces/context/context-configuration","arrows":"from","label":"ContextConfiguration","font":{"align":"horizontal"}},{"to":"app/app.component","from":"app/services/theme-changer/theme-changer.service","arrows":"from","label":"ThemeChangerService","font":{"align":"horizontal"}},{"to":"app/app.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/app.component","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/app-routing.module","arrows":"from","label":"AppRoutingModule","font":{"align":"horizontal"}},{"to":"app/app.module","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/app.component","arrows":"from","label":"AppComponent","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/modules/context-switcher/context-switcher.module","arrows":"from","label":"ContextSwitcherModule","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/modules/portfolio/portfolio.module","arrows":"from","label":"PortfolioModule","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/modules/webpage/webpage.module","arrows":"from","label":"WebpageModule","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/app/app.service","arrows":"from","label":"AppService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/config/config.service","arrows":"from","label":"ConfigService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/image-data/image-data.service","arrows":"from","label":"ImageDataService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/chart-color/chart-color.service","arrows":"from","label":"ChartColorService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/gantt-chart/gantt-chart.service","arrows":"from","label":"GanttChartService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/general-timeline/general-timeline.service","arrows":"from","label":"GeneralTimelineService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/map/map.service","arrows":"from","label":"MapService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/tag-cloud-processor/tag-cloud-processor.service","arrows":"from","label":"TagCloudProcessorService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/theme-changer/theme-changer.service","arrows":"from","label":"ThemeChangerService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/search-engine/search-engine.service","arrows":"from","label":"SearchEngineService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/search-history/search-history.service","arrows":"from","label":"SearchHistoryService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/search-tokenizer/search-tokenizer.service","arrows":"from","label":"SearchTokenizerService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/document/document.service","arrows":"from","label":"DocumentService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/count-cache/count-cache.service","arrows":"from","label":"CountCacheService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/context/context.service","arrows":"from","label":"ContextService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/log-update/log-update.service","arrows":"from","label":"LogUpdateService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/prompt-update/prompt-update.service","arrows":"from","label":"PromptUpdateService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/check-for-update/check-for-update.service","arrows":"from","label":"CheckForUpdateService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/is-secure-guard/is-secure-guard.service","arrows":"from","label":"IsSecureGuardService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/image/image.service","arrows":"from","label":"ImageService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/localization/localization.service","arrows":"from","label":"LocalizationService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/toggle/toggle.service","arrows":"from","label":"ToggleService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/toolbar/toolbar.service","arrows":"from","label":"ToolbarService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/accomplishments/accomplishments.service","arrows":"from","label":"AccomplishmentsService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/data-loader/data-loader.service","arrows":"from","label":"DataLoaderService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/entities-adjuster/entities-adjuster.service","arrows":"from","label":"EntitiesAdjusterService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/search/search.service","arrows":"from","label":"SearchService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/filter/filter.service","arrows":"from","label":"FilterService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/filter-general-timeline/filter-general-timeline.service","arrows":"from","label":"FilterGeneralTimelineService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/model/model/model.model","arrows":"from","label":"ModelModel","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/component-outlet-injector/component-outlet-injector.service","arrows":"from","label":"ComponentOutletInjectorService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/classes/logger/logger","arrows":"from","label":"Logger","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/console-logger/console-logger.service","arrows":"from","label":"ConsoleLoggerService","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/components/stylesheets/stylesheets.component","arrows":"from","label":"StylesheetsComponent","font":{"align":"horizontal"}},{"to":"app/app.module","from":"app/services/classifier/classifier.service","arrows":"from","label":"ClassifierService","font":{"align":"horizontal"}},{"to":"app/classes/indexable","from":"app/interfaces/indexable","arrows":"from","label":"Indexable as IIndexable","font":{"align":"horizontal"}},{"to":"app/classes/accomplishment/accomplishment","from":"app/interfaces/cv/course","arrows":"from","label":"Course as IAccomplishment","font":{"align":"horizontal"}},{"to":"app/classes/accomplishment/accomplishment","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/classes/accomplishment/accomplishment","from":"app/classes/ontology/ontology","arrows":"from","label":"Ontology","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/cv","arrows":"from","label":"Cv as ICv","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/personal-data","arrows":"from","label":"PersonalData","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/professional-experience","arrows":"from","label":"ProfessionalExperience","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/education","arrows":"from","label":"Education","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/certification","arrows":"from","label":"Certification","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/language","arrows":"from","label":"Language","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/course","arrows":"from","label":"Course","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/interfaces/cv/publication","arrows":"from","label":"Publication","font":{"align":"horizontal"}},{"to":"app/classes/cv/cv","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/classes/entities/entities","from":"app/interfaces/entities/entities","arrows":"from","label":"Entities as IEntities","font":{"align":"horizontal"}},{"to":"app/classes/entities/entities","from":"app/interfaces/entities/entity","arrows":"from","label":"Entity","font":{"align":"horizontal"}},{"to":"app/classes/entities/entities","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/classes/gantt-chart-entry/gantt-chart-entry","from":"app/interfaces/gantt-chart-entry/gantt-chart-entry","arrows":"from","label":"GanttChartEntry as IGanttChartEntry","font":{"align":"horizontal"}},{"to":"app/classes/gantt-chart-entry/gantt-chart-entry","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/classes/general-timeline-entry/general-timeline-entry","from":"app/interfaces/general-timeline-entry/general-timeline-entry","arrows":"from","label":"GeneralTimelineEntry as IGeneralTimelineEntry","font":{"align":"horizontal"}},{"to":"app/classes/general-timeline-entry/general-timeline-entry","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/classes/logger/logger","from":"app/interfaces/logger/logger","arrows":"from","label":"ILogger","font":{"align":"horizontal"}},{"to":"app/classes/ontology/ontology","from":"app/interfaces/ontology-entry/ontology-entry","arrows":"from","label":"OntologyEntry","font":{"align":"horizontal"}},{"to":"app/classes/ui/ui","from":"app/interfaces/ui/ui","arrows":"from","label":"Ui as IUi","font":{"align":"horizontal"}},{"to":"app/classes/ui/ui","from":"app/interfaces/ui/ui-entry","arrows":"from","label":"UiEntry","font":{"align":"horizontal"}},{"to":"app/classes/ui/ui","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/components/accomplishments-provider/accomplishments-provider.component","arrows":"from","label":"AccomplishmentsProviderComponent","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/accomplishments/accomplishments.service","arrows":"from","label":"AccomplishmentsService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/components/course-index/course-index.component","arrows":"from","label":"CourseIndexComponent","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/components/course-list/course-list.component","arrows":"from","label":"CourseListComponent","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/components/course/course.component","arrows":"from","label":"CourseComponent","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/components/language/language.component","arrows":"from","label":"LanguageComponent","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/services/component-outlet-injector/component-outlet-injector.service","arrows":"from","label":"ComponentOutletInjectorService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/accomplishments/accomplishments.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/accomplishments-provider/accomplishments-provider.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments-provider/accomplishments-provider.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments-provider/accomplishments-provider.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments-provider/accomplishments-provider.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/accomplishments-provider/accomplishments-provider.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/components/education/education.component","arrows":"from","label":"EducationComponent","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/components/personal-data/personal-data.component","arrows":"from","label":"PersonalDataComponent","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/components/professional-experience/professional-experience.component","arrows":"from","label":"ProfessionalExperienceComponent","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/services/component-outlet-injector/component-outlet-injector.service","arrows":"from","label":"ComponentOutletInjectorService","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/background/background.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/badge/badge.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/badge/badge.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/badge/badge.component","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/components/context/context.component","from":"app/interfaces/context/context","arrows":"from","label":"Context","font":{"align":"horizontal"}},{"to":"app/components/context/context.component","from":"app/enums/nav-state","arrows":"from","label":"NavState","font":{"align":"horizontal"}},{"to":"app/components/context/context.component","from":"app/services/context/context.service","arrows":"from","label":"ContextService","font":{"align":"horizontal"}},{"to":"app/components/context/context.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/context/context.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/context-switcher/context-switcher.component","from":"app/interfaces/context/context","arrows":"from","label":"Context","font":{"align":"horizontal"}},{"to":"app/components/context-switcher/context-switcher.component","from":"app/enums/nav-state","arrows":"from","label":"NavState","font":{"align":"horizontal"}},{"to":"app/components/context-switcher/context-switcher.component","from":"app/services/context/context.service","arrows":"from","label":"ContextService","font":{"align":"horizontal"}},{"to":"app/components/context-switcher/context-switcher.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/context-switcher/context-switcher.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/context-switcher/context-switcher.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/components/course/course.component","from":"app/classes/accomplishment/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/classes/accomplishment/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/course-index/course-index.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/course-list/course-list.component","from":"app/components/language/language.component","arrows":"from","label":"LanguageComponent","font":{"align":"horizontal"}},{"to":"app/components/cv/cv.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/cv/cv.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/cv/cv.component","from":"app/services/component-outlet-injector/component-outlet-injector.service","arrows":"from","label":"ComponentOutletInjectorService","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/interfaces/cv/education","arrows":"from","label":"Education","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/education/education.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/components/footer-provider/footer-provider.component","arrows":"from","label":"FooterProviderComponent","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/footer/footer.component","from":"app/components/footer/badge.config.json","arrows":"from","label":"ConfigJSON","font":{"align":"horizontal"}},{"to":"app/components/footer-provider/footer-provider.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/footer-provider/footer-provider.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/footer-provider/footer-provider.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/footer-provider/footer-provider.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline/general-timeline.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/general-timeline/general-timeline.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline/general-timeline.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline/general-timeline.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline/general-timeline.component","from":"app/services/general-timeline/general-timeline.service","arrows":"from","label":"GeneralTimelineService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline/general-timeline.component","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline/general-timeline.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/general-timeline-map/general-timeline-map.component","from":"app/components/general-timeline/general-timeline.component","arrows":"from","label":"GeneralTimelineComponent","font":{"align":"horizontal"}},{"to":"app/components/general-timeline-map/general-timeline-map.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline-map/general-timeline-map.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline-map/general-timeline-map.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline-map/general-timeline-map.component","from":"app/services/general-timeline/general-timeline.service","arrows":"from","label":"GeneralTimelineService","font":{"align":"horizontal"}},{"to":"app/components/general-timeline-map/general-timeline-map.component","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/components/geolocation/geolocation.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/geolocation/geolocation.component","from":"app/services/geolocation/geolocation.service","arrows":"from","label":"GeolocationService","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/components/header-title/header-title.component","arrows":"from","label":"HeaderTitleComponent","font":{"align":"horizontal"}},{"to":"app/components/header/header.component","from":"app/components/toolbar/toolbar.component","arrows":"from","label":"ToolbarComponent","font":{"align":"horizontal"}},{"to":"app/components/header-title/header-title.component","from":"app/components/sorter/sorter.component","arrows":"from","label":"SorterComponent","font":{"align":"horizontal"}},{"to":"app/components/header-title/header-title.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/header-title/header-title.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/header-title/header-title.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/header-title/header-title.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/header-title/header-title.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/header-title/header-title.component","from":"app/enums/go.enum","arrows":"from","label":"Go","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/components/language/language.component","from":"app/interfaces/events/responsive-changed-event","arrows":"from","label":"ResponsiveChangedEvent","font":{"align":"horizontal"}},{"to":"app/components/map/map.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/map/map.component","from":"app/services/map/map.service","arrows":"from","label":"MapService","font":{"align":"horizontal"}},{"to":"app/components/map/map.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/map/map.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/multi-toggle/multi-toggle.component","from":"app/enums/tag-cloud-display-mode.enum","arrows":"from","label":"TagCloudDisplayMode","font":{"align":"horizontal"}},{"to":"app/components/multi-toggle/multi-toggle.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/multi-toggle/multi-toggle.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/multi-toggle/multi-toggle.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/navigation/navigation.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/navigation/navigation.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/navigation/navigation.component","from":"app/services/general-timeline/general-timeline.service","arrows":"from","label":"GeneralTimelineService","font":{"align":"horizontal"}},{"to":"app/components/navigation/navigation.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/navigation/navigation.component","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/components/navigation/navigation.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/navigation/navigation.component","from":"app/interfaces/entities/entity","arrows":"from","label":"Entity","font":{"align":"horizontal"}},{"to":"app/components/personal-data/personal-data.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/components/footer/footer.component","arrows":"from","label":"FooterComponent","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/pipeline/pipeline.component","from":"app/components/pipeline/badge.config.json","arrows":"from","label":"ConfigJSON","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/accomplishments/accomplishments.service","arrows":"from","label":"AccomplishmentsService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/document/document.service","arrows":"from","label":"DocumentService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/data-loader/data-loader.service","arrows":"from","label":"DataLoaderService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/services/mock-data/mock-data.service","arrows":"from","label":"MockDataService","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/portfolio/portfolio.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/professional-experience/professional-experience.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/professional-experience/professional-experience.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/professional-experience/professional-experience.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/professional-experience/professional-experience.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/professional-experience/professional-experience.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/professional-experience/professional-experience.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/professional-experience/professional-experience.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/components/project-index/project-index.component","arrows":"from","label":"ProjectIndexComponent","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/components/project-contributions/project-contributions.component","arrows":"from","label":"ProjectContributionsComponent","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/components/project-list/project-list.component","arrows":"from","label":"ProjectListComponent","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/components/project-card/project-card.component","arrows":"from","label":"ProjectCardComponent","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/gantt-chart/gantt-chart.service","arrows":"from","label":"GanttChartService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/component-outlet-injector/component-outlet-injector.service","arrows":"from","label":"ComponentOutletInjectorService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/mock-data/mock-data.service","arrows":"from","label":"MockDataService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/classes/gantt-chart-entry/gantt-chart-entry","arrows":"from","label":"GanttChartEntry","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/components/header-title/header-title.component","arrows":"from","label":"HeaderTitleComponent","font":{"align":"horizontal"}},{"to":"app/components/project/project.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/project-card/project-card.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/project-card/project-card.component","from":"app/interfaces/project/project","arrows":"from","label":"Project","font":{"align":"horizontal"}},{"to":"app/components/project-card/project-card.component","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/project-contributions/project-contributions.component","from":"app/components/project-list/project-list.component","arrows":"from","label":"ProjectListComponent","font":{"align":"horizontal"}},{"to":"app/components/project-gantt-chart-map/project-gantt-chart-map.component","from":"app/components/project-gantt-chart/project-gantt-chart.component","arrows":"from","label":"ProjectGanttChartComponent","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/project-index/project-index.component","from":"app/interfaces/project/project","arrows":"from","label":"Project","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/project-list/project-list.component","from":"app/interfaces/project/project","arrows":"from","label":"Project","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/project-summary/project-summary.component","from":"app/enums/tag-cloud-display-mode.enum","arrows":"from","label":"TagCloudDisplayMode","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/components/property-provider/property-provider.component","arrows":"from","label":"PropertyProviderComponent","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/property/property.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/property-provider/property-provider.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/property-provider/property-provider.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/property-provider/property-provider.component","from":"app/model/model/model.model","arrows":"from","label":"ModelModel","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/components/publication-index/publication-index.component","arrows":"from","label":"PublicationIndexComponent","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/components/publication-list/publication-list.component","arrows":"from","label":"PublicationListComponent","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/services/component-outlet-injector/component-outlet-injector.service","arrows":"from","label":"ComponentOutletInjectorService","font":{"align":"horizontal"}},{"to":"app/components/publication/publication.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/publication-index/publication-index.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/publication-list/publication-list.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/publication-list/publication-list.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/publication-list/publication-list.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/publication-list/publication-list.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/publication-list/publication-list.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/publication-list/publication-list.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/publication-list/publication-list.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/components/search-provider/search-provider.component","arrows":"from","label":"SearchProviderComponent","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/services/search-history/search-history.service","arrows":"from","label":"SearchHistoryService","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/search/search.component","from":"app/components/toolbar/toolbar.component","arrows":"from","label":"ToolbarComponent","font":{"align":"horizontal"}},{"to":"app/components/search-provider/search-provider.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/search-provider/search-provider.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/search-provider/search-provider.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/search-provider/search-provider.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/search-provider/search-provider.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/search-provider/search-provider.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/toolbar/toolbar.service","arrows":"from","label":"ToolbarService","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/components/selector-header/selector-header.component","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/components/footer/footer.component","arrows":"from","label":"FooterComponent","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/service-catalog/service-catalog.component","from":"app/components/service-catalog/badge.config.json","arrows":"from","label":"ConfigJSON","font":{"align":"horizontal"}},{"to":"app/components/settings-sharer/settings-sharer.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/settings-sharer/settings-sharer.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/settings-sharer/settings-sharer.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/settings-sharer/settings-sharer.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/sorter/sorter.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/sorter/sorter.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/sorter/sorter.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/sorter/sorter.component","from":"app/enums/go.enum","arrows":"from","label":"Go","font":{"align":"horizontal"}},{"to":"app/components/sorter/sorter.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/sorter/sorter.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/sorter/sorter.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/components/spectrum-provider/spectrum-provider.component","arrows":"from","label":"SpectrumProviderComponent","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/spectrum/spectrum.component","from":"app/interfaces/events/responsive-changed-event","arrows":"from","label":"ResponsiveChangedEvent","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/factories/sorter/sorter.service.factory","arrows":"from","label":"SorterServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/enums/tag-cloud-display-mode.enum","arrows":"from","label":"TagCloudDisplayMode","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/components/spectrum-provider/spectrum-provider.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/theme-changer/theme-changer.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/theme-changer/theme-changer.component","from":"app/services/theme-changer/theme-changer.service","arrows":"from","label":"ThemeChangerService","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/services/toggle/toggle.service","arrows":"from","label":"ToggleService","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/interfaces/events/responsive-changed-event","arrows":"from","label":"ResponsiveChangedEvent","font":{"align":"horizontal"}},{"to":"app/components/toggle/toggle.component","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/components/toolbar/toolbar.component","from":"app/services/toolbar/toolbar.service","arrows":"from","label":"ToolbarService","font":{"align":"horizontal"}},{"to":"app/components/toolbar/toolbar.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/toolbar/toolbar.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/toolbar/toolbar.component","from":"app/components/toggle/toggle.component","arrows":"from","label":"ToggleComponent","font":{"align":"horizontal"}},{"to":"app/components/toolbar/toolbar.component","from":"app/components/multi-toggle/multi-toggle.component","arrows":"from","label":"MultiToggleComponent","font":{"align":"horizontal"}},{"to":"app/components/toolbar/toolbar.component","from":"app/components/truncator/truncator.component","arrows":"from","label":"TruncatorComponent","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/factories/truncator/truncator.service.factory","arrows":"from","label":"TruncatorServiceFactory","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/components/toggle/toggle.component","arrows":"from","label":"ToggleComponent","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/services/toggle/toggle.service","arrows":"from","label":"ToggleService","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/truncator/truncator.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/components/footer/footer.component","arrows":"from","label":"FooterComponent","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/services/entities/entities.service","arrows":"from","label":"EntitiesService","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/services/input/input.service","arrows":"from","label":"InputService","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/components/version/version.component","from":"app/components/version/badge.config.json","arrows":"from","label":"ConfigJSON","font":{"align":"horizontal"}},{"to":"app/components/webpage/webpage.component","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/components/webpage/webpage.component","from":"app/services/data-loader/data-loader.service","arrows":"from","label":"DataLoaderService","font":{"align":"horizontal"}},{"to":"app/factories/sorter/sorter.service.factory","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/factories/sorter/sorter.service.factory","from":"app/services/sorter/sorter.service","arrows":"from","label":"SorterService","font":{"align":"horizontal"}},{"to":"app/factories/sorter/sorter.service.factory","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/factories/sorter/sorter.service.factory","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/factories/truncator/truncator.service.factory","from":"app/services/truncator/truncator.service","arrows":"from","label":"TruncatorService","font":{"align":"horizontal"}},{"to":"app/factories/truncator/truncator.service.factory","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/factories/truncator/truncator.service.factory","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/interfaces/context/context-configuration","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/context/context","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/accomplishment","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/certification","from":"app/interfaces/cv/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/certification","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/course","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/course","from":"app/interfaces/cv/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/cv/personal-data","arrows":"from","label":"PersonalData","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/cv/professional-experience","arrows":"from","label":"ProfessionalExperience","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/cv/education","arrows":"from","label":"Education","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/cv/certification","arrows":"from","label":"Certification","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/cv/language","arrows":"from","label":"Language","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/cv/course","arrows":"from","label":"Course","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/cv/publication","arrows":"from","label":"Publication","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/cv","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/education","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/language","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/language","from":"app/interfaces/cv/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/personal-data","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/professional-experience","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/publication","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/cv/publication","from":"app/interfaces/cv/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/interfaces/entities/entities","from":"app/interfaces/entities/entity","arrows":"from","label":"Entity","font":{"align":"horizontal"}},{"to":"app/interfaces/entities/entities","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/entities/entity","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/gantt-chart-entry/gantt-chart-entry","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/general-timeline-entry/general-timeline-entry","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/ontology-entry/ontology-entry","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/project/project","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/ui/ui-entry","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/interfaces/ui/ui","from":"app/interfaces/ui/ui-entry","arrows":"from","label":"UiEntry","font":{"align":"horizontal"}},{"to":"app/interfaces/ui/ui","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/model/accomplishments/accomplishments.model","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/model/chart/chart.model","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/model/entities/entities.model","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/model/model/model.model","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/model/model/model.model","from":"app/model/entities/entities.model","arrows":"from","label":"EntitiesModel","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/classes/cv/cv","arrows":"from","label":"Cv as CV","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/classes/entities/entities","arrows":"from","label":"Entities","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/classes/ontology/ontology","arrows":"from","label":"Ontology","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/classes/ui/ui","arrows":"from","label":"Ui as UI","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/interfaces/cv/professional-experience","arrows":"from","label":"ProfessionalExperience","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/interfaces/cv/education","arrows":"from","label":"Education","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/classes/accomplishment/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/interfaces/cv/language","arrows":"from","label":"Language","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/interfaces/cv/publication","arrows":"from","label":"Publication","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/interfaces/project/project","arrows":"from","label":"Project","font":{"align":"horizontal"}},{"to":"app/model/portfolio/portfolio.model","from":"app/classes/general-timeline-entry/general-timeline-entry","arrows":"from","label":"GeneralTimelineEntry","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments-routing.module","from":"app/components/accomplishments/accomplishments.component","arrows":"from","label":"AccomplishmentsComponent","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/accomplishments/accomplishments-routing.module","arrows":"from","label":"AccomplishmentsRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/language/language.module","arrows":"from","label":"LanguageModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/course/course.module","arrows":"from","label":"CourseModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/general-timeline-map/general-timeline-map.module","arrows":"from","label":"GeneralTimelineMapModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/publication/publication.module","arrows":"from","label":"PublicationModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/project-gantt-chart-map/project-gantt-chart-map.module","arrows":"from","label":"ProjectGanttChartMapModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/project-contributions/project-contributions.module","arrows":"from","label":"ProjectContributionsModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments/accomplishments.module","from":"app/components/accomplishments/accomplishments.component","arrows":"from","label":"AccomplishmentsComponent","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments-provider/accomplishments-provider-routing.module","from":"app/components/accomplishments-provider/accomplishments-provider.component","arrows":"from","label":"AccomplishmentsProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments-provider/accomplishments-provider.module","from":"app/modules/accomplishments-provider/accomplishments-provider-routing.module","arrows":"from","label":"AccomplishmentsProviderRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/accomplishments-provider/accomplishments-provider.module","from":"app/components/accomplishments-provider/accomplishments-provider.component","arrows":"from","label":"AccomplishmentsProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/background/background-routing.module","from":"app/components/background/background.component","arrows":"from","label":"BackgroundComponent","font":{"align":"horizontal"}},{"to":"app/modules/background/background.module","from":"app/modules/background/background-routing.module","arrows":"from","label":"BackgroundRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/background/background.module","from":"app/modules/education/education.module","arrows":"from","label":"EducationModule","font":{"align":"horizontal"}},{"to":"app/modules/background/background.module","from":"app/modules/professional-experience/professional-experience.module","arrows":"from","label":"ProfessionalExperienceModule","font":{"align":"horizontal"}},{"to":"app/modules/background/background.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/background/background.module","from":"app/components/background/background.component","arrows":"from","label":"BackgroundComponent","font":{"align":"horizontal"}},{"to":"app/modules/badge/badge-routing.module","from":"app/components/badge/badge.component","arrows":"from","label":"BadgeComponent","font":{"align":"horizontal"}},{"to":"app/modules/badge/badge.module","from":"app/modules/badge/badge-routing.module","arrows":"from","label":"BadgeRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/badge/badge.module","from":"app/components/badge/badge.component","arrows":"from","label":"BadgeComponent","font":{"align":"horizontal"}},{"to":"app/modules/context/context-routing.module","from":"app/components/context/context.component","arrows":"from","label":"ContextComponent","font":{"align":"horizontal"}},{"to":"app/modules/context/context.module","from":"app/modules/context/context-routing.module","arrows":"from","label":"ContextRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/context/context.module","from":"app/components/context/context.component","arrows":"from","label":"ContextComponent","font":{"align":"horizontal"}},{"to":"app/modules/context-switcher/context-switcher-routing.module","from":"app/components/context-switcher/context-switcher.component","arrows":"from","label":"ContextSwitcherComponent","font":{"align":"horizontal"}},{"to":"app/modules/context-switcher/context-switcher.module","from":"app/modules/context-switcher/context-switcher-routing.module","arrows":"from","label":"ContextSwitcherRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/context-switcher/context-switcher.module","from":"app/components/context-switcher/context-switcher.component","arrows":"from","label":"ContextSwitcherComponent","font":{"align":"horizontal"}},{"to":"app/modules/context-switcher/context-switcher.module","from":"app/modules/context/context.module","arrows":"from","label":"ContextModule","font":{"align":"horizontal"}},{"to":"app/modules/course/course-routing.module","from":"app/components/course/course.component","arrows":"from","label":"CourseComponent","font":{"align":"horizontal"}},{"to":"app/modules/course/course.module","from":"app/modules/course/course-routing.module","arrows":"from","label":"CourseRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/course/course.module","from":"app/modules/course-index/course-index.module","arrows":"from","label":"CourseIndexModule","font":{"align":"horizontal"}},{"to":"app/modules/course/course.module","from":"app/modules/course-list/course-list.module","arrows":"from","label":"CourseListModule","font":{"align":"horizontal"}},{"to":"app/modules/course/course.module","from":"app/components/course/course.component","arrows":"from","label":"CourseComponent","font":{"align":"horizontal"}},{"to":"app/modules/course-index/course-index-routing.module","from":"app/components/course-index/course-index.component","arrows":"from","label":"CourseIndexComponent","font":{"align":"horizontal"}},{"to":"app/modules/course-index/course-index.module","from":"app/modules/course-index/course-index-routing.module","arrows":"from","label":"CourseIndexRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/course-index/course-index.module","from":"app/components/course-index/course-index.component","arrows":"from","label":"CourseIndexComponent","font":{"align":"horizontal"}},{"to":"app/modules/course-list/course-list-routing.module","from":"app/components/course-list/course-list.component","arrows":"from","label":"CourseListComponent","font":{"align":"horizontal"}},{"to":"app/modules/course-list/course-list.module","from":"app/modules/course-list/course-list-routing.module","arrows":"from","label":"CourseListRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/course-list/course-list.module","from":"app/components/course-list/course-list.component","arrows":"from","label":"CourseListComponent","font":{"align":"horizontal"}},{"to":"app/modules/cv/cv-routing.module","from":"app/components/cv/cv.component","arrows":"from","label":"CvComponent","font":{"align":"horizontal"}},{"to":"app/modules/cv/cv.module","from":"app/modules/cv/cv-routing.module","arrows":"from","label":"CvRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/cv/cv.module","from":"app/modules/personal-data/personal-data.module","arrows":"from","label":"PersonalDataModule","font":{"align":"horizontal"}},{"to":"app/modules/cv/cv.module","from":"app/modules/background/background.module","arrows":"from","label":"BackgroundModule","font":{"align":"horizontal"}},{"to":"app/modules/cv/cv.module","from":"app/modules/accomplishments/accomplishments.module","arrows":"from","label":"AccomplishmentsModule","font":{"align":"horizontal"}},{"to":"app/modules/cv/cv.module","from":"app/components/cv/cv.component","arrows":"from","label":"CvComponent","font":{"align":"horizontal"}},{"to":"app/modules/education/education-routing.module","from":"app/components/education/education.component","arrows":"from","label":"EducationComponent","font":{"align":"horizontal"}},{"to":"app/modules/education/education.module","from":"app/modules/education/education-routing.module","arrows":"from","label":"EducationRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/education/education.module","from":"app/components/education/education.component","arrows":"from","label":"EducationComponent","font":{"align":"horizontal"}},{"to":"app/modules/education/education.module","from":"app/modules/selector-header/selector-header.module","arrows":"from","label":"SelectorHeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/education/education.module","from":"app/modules/selector/selector.module","arrows":"from","label":"SelectorModule","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer-routing.module","from":"app/components/footer/footer.component","arrows":"from","label":"FooterComponent","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/modules/footer/footer-routing.module","arrows":"from","label":"FooterRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/components/footer/footer.component","arrows":"from","label":"FooterComponent","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/modules/geolocation/geolocation.module","arrows":"from","label":"GeolocationModule","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/modules/pipeline/pipeline.module","arrows":"from","label":"PipelineModule","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/modules/service-catalog/service-catalog.module","arrows":"from","label":"ServiceCatalogModule","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/modules/version/version.module","arrows":"from","label":"VersionModule","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/footer/footer.module","from":"app/modules/badge/badge.module","arrows":"from","label":"BadgeModule","font":{"align":"horizontal"}},{"to":"app/modules/footer-provider/footer-provider-routing.module","from":"app/components/footer-provider/footer-provider.component","arrows":"from","label":"FooterProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/footer-provider/footer-provider.module","from":"app/modules/footer-provider/footer-provider-routing.module","arrows":"from","label":"FooterProviderRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/footer-provider/footer-provider.module","from":"app/components/footer-provider/footer-provider.component","arrows":"from","label":"FooterProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline/general-timeline-routing.module","from":"app/components/general-timeline/general-timeline.component","arrows":"from","label":"GeneralTimelineComponent","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline/general-timeline.module","from":"app/modules/general-timeline/general-timeline-routing.module","arrows":"from","label":"GeneralTimelineRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline/general-timeline.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline/general-timeline.module","from":"app/components/general-timeline/general-timeline.component","arrows":"from","label":"GeneralTimelineComponent","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline-map/general-timeline-map-routing.module","from":"app/components/general-timeline-map/general-timeline-map.component","arrows":"from","label":"GeneralTimelineMapComponent","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline-map/general-timeline-map.module","from":"app/modules/general-timeline-map/general-timeline-map-routing.module","arrows":"from","label":"GeneralTimelineMapRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline-map/general-timeline-map.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/general-timeline-map/general-timeline-map.module","from":"app/components/general-timeline-map/general-timeline-map.component","arrows":"from","label":"GeneralTimelineMapComponent","font":{"align":"horizontal"}},{"to":"app/modules/geolocation/geolocation.module","from":"app/modules/geolocation/geolocation-routing.module","arrows":"from","label":"GeolocationRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/geolocation/geolocation.module","from":"app/components/geolocation/geolocation.component","arrows":"from","label":"GeolocationComponent","font":{"align":"horizontal"}},{"to":"app/modules/header/header-routing.module","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/modules/header/header.module","from":"app/modules/header/header-routing.module","arrows":"from","label":"HeaderRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/header/header.module","from":"app/components/header/header.component","arrows":"from","label":"HeaderComponent","font":{"align":"horizontal"}},{"to":"app/modules/header/header.module","from":"app/modules/toggle/toggle.module","arrows":"from","label":"ToggleModule","font":{"align":"horizontal"}},{"to":"app/modules/header/header.module","from":"app/modules/header-title/header-title.module","arrows":"from","label":"HeaderTitleModule","font":{"align":"horizontal"}},{"to":"app/modules/header/header.module","from":"app/modules/toolbar/toolbar.module","arrows":"from","label":"ToolbarModule","font":{"align":"horizontal"}},{"to":"app/modules/header-title/header-title-routing.module","from":"app/components/header-title/header-title.component","arrows":"from","label":"HeaderTitleComponent","font":{"align":"horizontal"}},{"to":"app/modules/header-title/header-title.module","from":"app/modules/header-title/header-title-routing.module","arrows":"from","label":"HeaderTitleRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/header-title/header-title.module","from":"app/components/header-title/header-title.component","arrows":"from","label":"HeaderTitleComponent","font":{"align":"horizontal"}},{"to":"app/modules/header-title/header-title.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/language/language-routing.module","from":"app/components/language/language.component","arrows":"from","label":"LanguageComponent","font":{"align":"horizontal"}},{"to":"app/modules/language/language.module","from":"app/modules/language/language-routing.module","arrows":"from","label":"LanguageRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/language/language.module","from":"app/components/language/language.component","arrows":"from","label":"LanguageComponent","font":{"align":"horizontal"}},{"to":"app/modules/map/map-routing.module","from":"app/components/map/map.component","arrows":"from","label":"MapComponent","font":{"align":"horizontal"}},{"to":"app/modules/map/map.module","from":"app/modules/map/map-routing.module","arrows":"from","label":"MapRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/map/map.module","from":"app/components/map/map.component","arrows":"from","label":"MapComponent","font":{"align":"horizontal"}},{"to":"app/modules/multi-toggle/multi-toggle-routing.module","from":"app/components/multi-toggle/multi-toggle.component","arrows":"from","label":"MultiToggleComponent","font":{"align":"horizontal"}},{"to":"app/modules/multi-toggle/multi-toggle.module","from":"app/modules/multi-toggle/multi-toggle-routing.module","arrows":"from","label":"MultiToggleRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/multi-toggle/multi-toggle.module","from":"app/components/multi-toggle/multi-toggle.component","arrows":"from","label":"MultiToggleComponent","font":{"align":"horizontal"}},{"to":"app/modules/navigation/navigation-routing.module","from":"app/components/navigation/navigation.component","arrows":"from","label":"NavigationComponent","font":{"align":"horizontal"}},{"to":"app/modules/navigation/navigation.module","from":"app/modules/navigation/navigation-routing.module","arrows":"from","label":"NavigationRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/navigation/navigation.module","from":"app/components/navigation/navigation.component","arrows":"from","label":"NavigationComponent","font":{"align":"horizontal"}},{"to":"app/modules/navigation/navigation.module","from":"app/pipes/keys/keys.pipe","arrows":"from","label":"KeysPipe","font":{"align":"horizontal"}},{"to":"app/modules/personal-data/personal-data-routing.module","from":"app/components/personal-data/personal-data.component","arrows":"from","label":"PersonalDataComponent","font":{"align":"horizontal"}},{"to":"app/modules/personal-data/personal-data.module","from":"app/modules/personal-data/personal-data-routing.module","arrows":"from","label":"PersonalDataRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/personal-data/personal-data.module","from":"app/components/personal-data/personal-data.component","arrows":"from","label":"PersonalDataComponent","font":{"align":"horizontal"}},{"to":"app/modules/personal-data/personal-data.module","from":"app/modules/selector-header/selector-header.module","arrows":"from","label":"SelectorHeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/personal-data/personal-data.module","from":"app/modules/selector/selector.module","arrows":"from","label":"SelectorModule","font":{"align":"horizontal"}},{"to":"app/modules/pipeline/pipeline-routing.module","from":"app/components/pipeline/pipeline.component","arrows":"from","label":"PipelineComponent","font":{"align":"horizontal"}},{"to":"app/modules/pipeline/pipeline.module","from":"app/modules/pipeline/pipeline-routing.module","arrows":"from","label":"PipelineRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/pipeline/pipeline.module","from":"app/components/pipeline/pipeline.component","arrows":"from","label":"PipelineComponent","font":{"align":"horizontal"}},{"to":"app/modules/pipeline/pipeline.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/pipeline/pipeline.module","from":"app/modules/badge/badge.module","arrows":"from","label":"BadgeModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio-routing.module","from":"app/components/portfolio/portfolio.component","arrows":"from","label":"PortfolioComponent","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/portfolio/portfolio-routing.module","arrows":"from","label":"PortfolioRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/navigation/navigation.module","arrows":"from","label":"NavigationModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/search/search.module","arrows":"from","label":"SearchModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/cv/cv.module","arrows":"from","label":"CvModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/project-gantt-chart-map/project-gantt-chart-map.module","arrows":"from","label":"ProjectGanttChartMapModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/project-summary/project-summary.module","arrows":"from","label":"ProjectSummaryModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/project/project.module","arrows":"from","label":"ProjectModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/general-timeline/general-timeline.module","arrows":"from","label":"GeneralTimelineModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/pipeline/pipeline.module","arrows":"from","label":"PipelineModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/service-catalog/service-catalog.module","arrows":"from","label":"ServiceCatalogModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/version/version.module","arrows":"from","label":"VersionModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/footer/footer.module","arrows":"from","label":"FooterModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/toggle/toggle.module","arrows":"from","label":"ToggleModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/truncator/truncator.module","arrows":"from","label":"TruncatorModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/theme-changer/theme-changer.module","arrows":"from","label":"ThemeChangerModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/settings-sharer/settings-sharer.module","arrows":"from","label":"SettingsSharerModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/property/property.module","arrows":"from","label":"PropertyModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/components/portfolio/portfolio.component","arrows":"from","label":"PortfolioComponent","font":{"align":"horizontal"}},{"to":"app/modules/portfolio/portfolio.module","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/modules/professional-experience/professional-experience-routing.module","from":"app/components/professional-experience/professional-experience.component","arrows":"from","label":"ProfessionalExperienceComponent","font":{"align":"horizontal"}},{"to":"app/modules/professional-experience/professional-experience.module","from":"app/modules/professional-experience/professional-experience-routing.module","arrows":"from","label":"ProfessionalExperienceRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/professional-experience/professional-experience.module","from":"app/components/professional-experience/professional-experience.component","arrows":"from","label":"ProfessionalExperienceComponent","font":{"align":"horizontal"}},{"to":"app/modules/professional-experience/professional-experience.module","from":"app/modules/selector-header/selector-header.module","arrows":"from","label":"SelectorHeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/professional-experience/professional-experience.module","from":"app/modules/selector/selector.module","arrows":"from","label":"SelectorModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project-routing.module","from":"app/components/project/project.component","arrows":"from","label":"ProjectComponent","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/project/project-routing.module","arrows":"from","label":"ProjectRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/project-gantt-chart/project-gantt-chart.module","arrows":"from","label":"ProjectGanttChartModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/project-contributions/project-contributions.module","arrows":"from","label":"ProjectContributionsModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/project-list/project-list.module","arrows":"from","label":"ProjectListModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/project-index/project-index.module","arrows":"from","label":"ProjectIndexModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/project-card/project-card.module","arrows":"from","label":"ProjectCardModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/modules/header-title/header-title.module","arrows":"from","label":"HeaderTitleModule","font":{"align":"horizontal"}},{"to":"app/modules/project/project.module","from":"app/components/project/project.component","arrows":"from","label":"ProjectComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-card/project-card-routing.module","from":"app/components/project-card/project-card.component","arrows":"from","label":"ProjectCardComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-card/project-card.module","from":"app/modules/project-card/project-card-routing.module","arrows":"from","label":"ProjectCardRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project-card/project-card.module","from":"app/components/project-card/project-card.component","arrows":"from","label":"ProjectCardComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-contributions/project-contributions-routing.module","from":"app/components/project-contributions/project-contributions.component","arrows":"from","label":"ProjectContributionsComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-contributions/project-contributions.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/project-contributions/project-contributions.module","from":"app/modules/project-contributions/project-contributions-routing.module","arrows":"from","label":"ProjectContributionsRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project-contributions/project-contributions.module","from":"app/modules/project-list/project-list.module","arrows":"from","label":"ProjectListModule","font":{"align":"horizontal"}},{"to":"app/modules/project-contributions/project-contributions.module","from":"app/components/project-contributions/project-contributions.component","arrows":"from","label":"ProjectContributionsComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-gantt-chart/project-gantt-chart-routing.module","from":"app/components/project-gantt-chart/project-gantt-chart.component","arrows":"from","label":"ProjectGanttChartComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-gantt-chart/project-gantt-chart.module","from":"app/modules/project-gantt-chart/project-gantt-chart-routing.module","arrows":"from","label":"ProjectGanttChartRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project-gantt-chart/project-gantt-chart.module","from":"app/components/project-gantt-chart/project-gantt-chart.component","arrows":"from","label":"ProjectGanttChartComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-gantt-chart-map/project-gantt-chart-map-routing.module","from":"app/components/project-gantt-chart-map/project-gantt-chart-map.component","arrows":"from","label":"ProjectGanttChartMapComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-gantt-chart-map/project-gantt-chart-map.module","from":"app/modules/project-gantt-chart-map/project-gantt-chart-map-routing.module","arrows":"from","label":"ProjectGanttChartMapRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project-gantt-chart-map/project-gantt-chart-map.module","from":"app/components/project-gantt-chart-map/project-gantt-chart-map.component","arrows":"from","label":"ProjectGanttChartMapComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-index/project-index-routing.module","from":"app/components/project-index/project-index.component","arrows":"from","label":"ProjectIndexComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-index/project-index.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/project-index/project-index.module","from":"app/modules/project-index/project-index-routing.module","arrows":"from","label":"ProjectIndexRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project-index/project-index.module","from":"app/components/project-index/project-index.component","arrows":"from","label":"ProjectIndexComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-list/project-list-routing.module","from":"app/components/project-list/project-list.component","arrows":"from","label":"ProjectListComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-list/project-list.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/project-list/project-list.module","from":"app/modules/project-list/project-list-routing.module","arrows":"from","label":"ProjectListRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project-list/project-list.module","from":"app/components/project-list/project-list.component","arrows":"from","label":"ProjectListComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-summary/project-summary-routing.module","from":"app/components/project-summary/project-summary.component","arrows":"from","label":"ProjectSummaryComponent","font":{"align":"horizontal"}},{"to":"app/modules/project-summary/project-summary.module","from":"app/modules/project-summary/project-summary-routing.module","arrows":"from","label":"ProjectSummaryRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/project-summary/project-summary.module","from":"app/modules/spectrum/spectrum.module","arrows":"from","label":"SpectrumModule","font":{"align":"horizontal"}},{"to":"app/modules/project-summary/project-summary.module","from":"app/modules/map/map.module","arrows":"from","label":"MapModule","font":{"align":"horizontal"}},{"to":"app/modules/project-summary/project-summary.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/project-summary/project-summary.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/project-summary/project-summary.module","from":"app/components/project-summary/project-summary.component","arrows":"from","label":"ProjectSummaryComponent","font":{"align":"horizontal"}},{"to":"app/modules/property/property-routing.module","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/modules/property/property.module","from":"app/modules/property-provider/property-provider.module","arrows":"from","label":"PropertyProviderModule","font":{"align":"horizontal"}},{"to":"app/modules/property/property.module","from":"app/modules/property/property-routing.module","arrows":"from","label":"PropertyRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/property/property.module","from":"app/components/property/property.component","arrows":"from","label":"PropertyComponent","font":{"align":"horizontal"}},{"to":"app/modules/property-provider/property-provider-routing.module","from":"app/components/property-provider/property-provider.component","arrows":"from","label":"PropertyProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/property-provider/property-provider.module","from":"app/modules/property-provider/property-provider-routing.module","arrows":"from","label":"PropertyProviderRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/property-provider/property-provider.module","from":"app/components/property-provider/property-provider.component","arrows":"from","label":"PropertyProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/publication/publication-routing.module","from":"app/components/publication/publication.component","arrows":"from","label":"PublicationComponent","font":{"align":"horizontal"}},{"to":"app/modules/publication/publication.module","from":"app/modules/publication/publication-routing.module","arrows":"from","label":"PublicationRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/publication/publication.module","from":"app/modules/publication-index/publication-index.module","arrows":"from","label":"PublicationIndexModule","font":{"align":"horizontal"}},{"to":"app/modules/publication/publication.module","from":"app/modules/publication-list/publication-list.module","arrows":"from","label":"PublicationListModule","font":{"align":"horizontal"}},{"to":"app/modules/publication/publication.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/publication/publication.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/publication/publication.module","from":"app/components/publication/publication.component","arrows":"from","label":"PublicationComponent","font":{"align":"horizontal"}},{"to":"app/modules/publication-index/publication-index-routing.module","from":"app/components/publication-index/publication-index.component","arrows":"from","label":"PublicationIndexComponent","font":{"align":"horizontal"}},{"to":"app/modules/publication-index/publication-index.module","from":"app/modules/publication-index/publication-index-routing.module","arrows":"from","label":"PublicationIndexRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/publication-index/publication-index.module","from":"app/components/publication-index/publication-index.component","arrows":"from","label":"PublicationIndexComponent","font":{"align":"horizontal"}},{"to":"app/modules/publication-list/publication-list-routing.module","from":"app/components/publication-list/publication-list.component","arrows":"from","label":"PublicationListComponent","font":{"align":"horizontal"}},{"to":"app/modules/publication-list/publication-list.module","from":"app/modules/publication-list/publication-list-routing.module","arrows":"from","label":"PublicationListRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/publication-list/publication-list.module","from":"app/components/publication-list/publication-list.component","arrows":"from","label":"PublicationListComponent","font":{"align":"horizontal"}},{"to":"app/modules/search/search-routing.module","from":"app/components/search/search.component","arrows":"from","label":"SearchComponent","font":{"align":"horizontal"}},{"to":"app/modules/search/search.module","from":"app/modules/search-provider/search-provider.module","arrows":"from","label":"SearchProviderModule","font":{"align":"horizontal"}},{"to":"app/modules/search/search.module","from":"app/modules/search/search-routing.module","arrows":"from","label":"SearchRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/search/search.module","from":"app/components/search/search.component","arrows":"from","label":"SearchComponent","font":{"align":"horizontal"}},{"to":"app/modules/search/search.module","from":"app/modules/toggle/toggle.module","arrows":"from","label":"ToggleModule","font":{"align":"horizontal"}},{"to":"app/modules/search/search.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/search/search.module","from":"app/modules/toolbar/toolbar.module","arrows":"from","label":"ToolbarModule","font":{"align":"horizontal"}},{"to":"app/modules/search-provider/search-provider-routing.module","from":"app/components/search-provider/search-provider.component","arrows":"from","label":"SearchProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/search-provider/search-provider.module","from":"app/modules/search-provider/search-provider-routing.module","arrows":"from","label":"SearchProviderRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/search-provider/search-provider.module","from":"app/components/search-provider/search-provider.component","arrows":"from","label":"SearchProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/selector/selector-routing.module","from":"app/components/selector/selector.component","arrows":"from","label":"SelectorComponent","font":{"align":"horizontal"}},{"to":"app/modules/selector/selector.module","from":"app/modules/selector/selector-routing.module","arrows":"from","label":"SelectorRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/selector/selector.module","from":"app/modules/selector-header/selector-header.module","arrows":"from","label":"SelectorHeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/selector/selector.module","from":"app/components/selector/selector.component","arrows":"from","label":"SelectorComponent","font":{"align":"horizontal"}},{"to":"app/modules/selector-header/selector-header-routing.module","from":"app/components/selector-header/selector-header.component","arrows":"from","label":"SelectorHeaderComponent","font":{"align":"horizontal"}},{"to":"app/modules/selector-header/selector-header.module","from":"app/modules/selector-header/selector-header-routing.module","arrows":"from","label":"SelectorHeaderRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/selector-header/selector-header.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/selector-header/selector-header.module","from":"app/components/selector-header/selector-header.component","arrows":"from","label":"SelectorHeaderComponent","font":{"align":"horizontal"}},{"to":"app/modules/service-catalog/service-catalog-routing.module","from":"app/components/service-catalog/service-catalog.component","arrows":"from","label":"ServiceCatalogComponent","font":{"align":"horizontal"}},{"to":"app/modules/service-catalog/service-catalog.module","from":"app/modules/service-catalog/service-catalog-routing.module","arrows":"from","label":"ServiceCatalogRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/service-catalog/service-catalog.module","from":"app/components/service-catalog/service-catalog.component","arrows":"from","label":"ServiceCatalogComponent","font":{"align":"horizontal"}},{"to":"app/modules/service-catalog/service-catalog.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/service-catalog/service-catalog.module","from":"app/modules/badge/badge.module","arrows":"from","label":"BadgeModule","font":{"align":"horizontal"}},{"to":"app/modules/settings-sharer/settings-sharer-routing.module","from":"app/components/settings-sharer/settings-sharer.component","arrows":"from","label":"SettingsSharerComponent","font":{"align":"horizontal"}},{"to":"app/modules/settings-sharer/settings-sharer.module","from":"app/modules/settings-sharer/settings-sharer-routing.module","arrows":"from","label":"SettingsSharerRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/settings-sharer/settings-sharer.module","from":"app/components/settings-sharer/settings-sharer.component","arrows":"from","label":"SettingsSharerComponent","font":{"align":"horizontal"}},{"to":"app/modules/soc-bar/soc-bar-routing.module","from":"app/components/soc-bar/soc-bar.component","arrows":"from","label":"SocBarComponent","font":{"align":"horizontal"}},{"to":"app/modules/soc-bar/soc-bar.module","from":"app/modules/soc-bar/soc-bar-routing.module","arrows":"from","label":"SocBarRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/soc-bar/soc-bar.module","from":"app/components/soc-bar/soc-bar.component","arrows":"from","label":"SocBarComponent","font":{"align":"horizontal"}},{"to":"app/modules/sorter/sorter-routing.module","from":"app/components/sorter/sorter.component","arrows":"from","label":"SorterComponent","font":{"align":"horizontal"}},{"to":"app/modules/sorter/sorter.module","from":"app/modules/sorter/sorter-routing.module","arrows":"from","label":"SorterRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/sorter/sorter.module","from":"app/components/sorter/sorter.component","arrows":"from","label":"SorterComponent","font":{"align":"horizontal"}},{"to":"app/modules/spectrum/spectrum-routing.module","from":"app/components/spectrum/spectrum.component","arrows":"from","label":"SpectrumComponent","font":{"align":"horizontal"}},{"to":"app/modules/spectrum/spectrum.module","from":"app/modules/spectrum-provider/spectrum-provider.module","arrows":"from","label":"SpectrumProviderModule","font":{"align":"horizontal"}},{"to":"app/modules/spectrum/spectrum.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/spectrum/spectrum.module","from":"app/modules/spectrum/spectrum-routing.module","arrows":"from","label":"SpectrumRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/spectrum/spectrum.module","from":"app/components/spectrum/spectrum.component","arrows":"from","label":"SpectrumComponent","font":{"align":"horizontal"}},{"to":"app/modules/spectrum-provider/spectrum-provider-routing.module","from":"app/components/spectrum-provider/spectrum-provider.component","arrows":"from","label":"SpectrumProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/spectrum-provider/spectrum-provider.module","from":"app/modules/sorter/sorter.module","arrows":"from","label":"SorterModule","font":{"align":"horizontal"}},{"to":"app/modules/spectrum-provider/spectrum-provider.module","from":"app/modules/spectrum-provider/spectrum-provider-routing.module","arrows":"from","label":"SpectrumProviderRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/spectrum-provider/spectrum-provider.module","from":"app/components/spectrum-provider/spectrum-provider.component","arrows":"from","label":"SpectrumProviderComponent","font":{"align":"horizontal"}},{"to":"app/modules/theme-changer/theme-changer-routing.module","from":"app/components/theme-changer/theme-changer.component","arrows":"from","label":"ThemeChangerComponent","font":{"align":"horizontal"}},{"to":"app/modules/theme-changer/theme-changer.module","from":"app/modules/theme-changer/theme-changer-routing.module","arrows":"from","label":"ThemeChangerRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/theme-changer/theme-changer.module","from":"app/components/theme-changer/theme-changer.component","arrows":"from","label":"ThemeChangerComponent","font":{"align":"horizontal"}},{"to":"app/modules/toggle/toggle-routing.module","from":"app/components/toggle/toggle.component","arrows":"from","label":"ToggleComponent","font":{"align":"horizontal"}},{"to":"app/modules/toggle/toggle.module","from":"app/modules/toggle/toggle-routing.module","arrows":"from","label":"ToggleRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/toggle/toggle.module","from":"app/components/toggle/toggle.component","arrows":"from","label":"ToggleComponent","font":{"align":"horizontal"}},{"to":"app/modules/toolbar/toolbar-routing.module","from":"app/components/toolbar/toolbar.component","arrows":"from","label":"ToolbarComponent","font":{"align":"horizontal"}},{"to":"app/modules/toolbar/toolbar.module","from":"app/modules/toolbar/toolbar-routing.module","arrows":"from","label":"ToolbarRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/toolbar/toolbar.module","from":"app/components/toolbar/toolbar.component","arrows":"from","label":"ToolbarComponent","font":{"align":"horizontal"}},{"to":"app/modules/toolbar/toolbar.module","from":"app/modules/toggle/toggle.module","arrows":"from","label":"ToggleModule","font":{"align":"horizontal"}},{"to":"app/modules/toolbar/toolbar.module","from":"app/modules/multi-toggle/multi-toggle.module","arrows":"from","label":"MultiToggleModule","font":{"align":"horizontal"}},{"to":"app/modules/toolbar/toolbar.module","from":"app/modules/truncator/truncator.module","arrows":"from","label":"TruncatorModule","font":{"align":"horizontal"}},{"to":"app/modules/truncator/truncator-routing.module","from":"app/components/truncator/truncator.component","arrows":"from","label":"TruncatorComponent","font":{"align":"horizontal"}},{"to":"app/modules/truncator/truncator.module","from":"app/modules/truncator/truncator-routing.module","arrows":"from","label":"TruncatorRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/truncator/truncator.module","from":"app/components/truncator/truncator.component","arrows":"from","label":"TruncatorComponent","font":{"align":"horizontal"}},{"to":"app/modules/truncator/truncator.module","from":"app/modules/toggle/toggle.module","arrows":"from","label":"ToggleModule","font":{"align":"horizontal"}},{"to":"app/modules/version/version-routing.module","from":"app/components/version/version.component","arrows":"from","label":"VersionComponent","font":{"align":"horizontal"}},{"to":"app/modules/version/version.module","from":"app/modules/version/version-routing.module","arrows":"from","label":"VersionRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/version/version.module","from":"app/components/version/version.component","arrows":"from","label":"VersionComponent","font":{"align":"horizontal"}},{"to":"app/modules/version/version.module","from":"app/modules/header/header.module","arrows":"from","label":"HeaderModule","font":{"align":"horizontal"}},{"to":"app/modules/version/version.module","from":"app/modules/badge/badge.module","arrows":"from","label":"BadgeModule","font":{"align":"horizontal"}},{"to":"app/modules/webpage/webpage-routing.module","from":"app/components/webpage/webpage.component","arrows":"from","label":"WebpageComponent","font":{"align":"horizontal"}},{"to":"app/modules/webpage/webpage.module","from":"app/modules/webpage/webpage-routing.module","arrows":"from","label":"WebpageRoutingModule","font":{"align":"horizontal"}},{"to":"app/modules/webpage/webpage.module","from":"app/modules/soc-bar/soc-bar.module","arrows":"from","label":"SocBarModule","font":{"align":"horizontal"}},{"to":"app/modules/webpage/webpage.module","from":"app/components/webpage/webpage.component","arrows":"from","label":"WebpageComponent","font":{"align":"horizontal"}},{"to":"app/services/accomplishments/accomplishments.service","from":"app/model/accomplishments/accomplishments.model","arrows":"from","label":"AccomplishmentsModel","font":{"align":"horizontal"}},{"to":"app/services/app/app.service","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/services/chart/chart.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/chart/chart.service","from":"app/services/chart-color/chart-color.service","arrows":"from","label":"ChartColorService","font":{"align":"horizontal"}},{"to":"app/services/chart/chart.service","from":"app/model/chart/chart.model","arrows":"from","label":"ChartModel","font":{"align":"horizontal"}},{"to":"app/services/chart-color/chart-color.service","from":"app/services/chart-color/hsla","arrows":"from","label":"HSLA","font":{"align":"horizontal"}},{"to":"app/services/chart-color/chart-color.service","from":"app/services/chart-color/color-component","arrows":"from","label":"ColorComponent","font":{"align":"horizontal"}},{"to":"app/services/chart-color/chart-color.service","from":"app/model/chart/chart.model","arrows":"from","label":"ChartModel","font":{"align":"horizontal"}},{"to":"app/services/chart-color/hsla","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/check-for-update/check-for-update.service","from":"app/services/error-handler/error-handler.service","arrows":"from","label":"errorHandler","font":{"align":"horizontal"}},{"to":"app/services/check-for-update/check-for-update.service","from":"app/services/logger/logger.service","arrows":"from","label":"logger","font":{"align":"horizontal"}},{"to":"app/services/classifier/classifier.service","from":"app/classes/ontology/ontology","arrows":"from","label":"Ontology","font":{"align":"horizontal"}},{"to":"app/services/classifier/classifier.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/component-outlet-injector/component-outlet-injector.service","from":"app/services/component-outlet-injector/params","arrows":"from","label":"Params","font":{"align":"horizontal"}},{"to":"app/services/component-outlet-injector/component-outlet-injector.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/component-outlet-injector/component-outlet-injector.service","from":"app/services/logger/logger.service","arrows":"from","label":"logger","font":{"align":"horizontal"}},{"to":"app/services/component-outlet-injector/params","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/config/config.service","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"app/services/config/config.service","from":"app/services/error-handler/error-handler.service","arrows":"from","label":"errorHandler","font":{"align":"horizontal"}},{"to":"app/services/config/config.service","from":"app/services/logger/logger.service","arrows":"from","label":"logger","font":{"align":"horizontal"}},{"to":"app/services/console-logger/console-logger.service","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"app/services/console-logger/console-logger.service","from":"app/interfaces/logger/logger","arrows":"from","label":"ILogger","font":{"align":"horizontal"}},{"to":"app/services/context/context.service","from":"app/interfaces/context/context","arrows":"from","label":"Context","font":{"align":"horizontal"}},{"to":"app/services/context/context.service","from":"app/interfaces/context/context-configuration","arrows":"from","label":"ContextConfiguration","font":{"align":"horizontal"}},{"to":"app/services/context/context.service","from":"app/enums/nav-state","arrows":"from","label":"NavState","font":{"align":"horizontal"}},{"to":"app/services/context/context.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/context/context.service","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/services/context/context.service","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/model/entities/entities.model","arrows":"from","label":"EntitiesModel","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/services/tag-cloud-processor/tag-cloud-processor.service","arrows":"from","label":"TagCloudProcessorService","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/interfaces/cv/language","arrows":"from","label":"Language","font":{"align":"horizontal"}},{"to":"app/services/count-cache/count-cache.service","from":"app/interfaces/project/project","arrows":"from","label":"Project","font":{"align":"horizontal"}},{"to":"app/services/data/data.service","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"app/services/data/data.service","from":"app/services/image-data/image-data.service","arrows":"from","label":"ImageDataService","font":{"align":"horizontal"}},{"to":"app/services/data-loader/data-loader.service","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/services/data-loader/data-loader.service","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/services/data-loader/data-loader.service","from":"app/services/entities-adjuster/entities-adjuster.service","arrows":"from","label":"EntitiesAdjusterService","font":{"align":"horizontal"}},{"to":"app/services/data-loader/data-loader.service","from":"app/services/ontology-adjuster/ontology-adjuster.service","arrows":"from","label":"OntologyAdjusterService","font":{"align":"horizontal"}},{"to":"app/services/data-loader/data-loader.service","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/services/data-loader/data-loader.service","from":"app/services/count-cache/count-cache.service","arrows":"from","label":"CountCacheService","font":{"align":"horizontal"}},{"to":"app/services/engine/engine.service","from":"app/services/search/search.service","arrows":"from","label":"SearchService","font":{"align":"horizontal"}},{"to":"app/services/engine/engine.service","from":"app/services/filter/filter.service","arrows":"from","label":"FilterService","font":{"align":"horizontal"}},{"to":"app/services/engine/engine.service","from":"app/services/filter-general-timeline/filter-general-timeline.service","arrows":"from","label":"FilterGeneralTimelineService","font":{"align":"horizontal"}},{"to":"app/services/engine/engine.service","from":"app/model/model/model.model","arrows":"from","label":"ModelModel","font":{"align":"horizontal"}},{"to":"app/services/entities/entities.service","from":"app/services/portfolio/portfolio.service","arrows":"from","label":"PortfolioService","font":{"align":"horizontal"}},{"to":"app/services/entities/entities.service","from":"app/services/general-timeline/general-timeline.service","arrows":"from","label":"GeneralTimelineService","font":{"align":"horizontal"}},{"to":"app/services/entities/entities.service","from":"app/model/entities/entities.model","arrows":"from","label":"EntitiesModel","font":{"align":"horizontal"}},{"to":"app/services/entities/entities.service","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/services/entities/entities.service","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/services/entities/entities.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/entities-adjuster/entities-adjuster.service","from":"app/interfaces/entities/entity","arrows":"from","label":"Entity","font":{"align":"horizontal"}},{"to":"app/services/entities-adjuster/entities-adjuster.service","from":"app/classes/entities/entities","arrows":"from","label":"Entities","font":{"align":"horizontal"}},{"to":"app/services/entities-adjuster/entities-adjuster.service","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/services/entities-adjuster/entities-adjuster.service","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/services/entities-adjuster/entities-adjuster.service","from":"app/services/count-cache/count-cache.service","arrows":"from","label":"CountCacheService","font":{"align":"horizontal"}},{"to":"app/services/error-handler/error-handler.service","from":"app/services/logger/logger.service","arrows":"from","label":"logger","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/model/entities/entities.model","arrows":"from","label":"EntitiesModel","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/services/search-engine/search-engine.service","arrows":"from","label":"SearchEngineService","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/services/count-cache/count-cache.service","arrows":"from","label":"CountCacheService","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/interfaces/cv/professional-experience","arrows":"from","label":"ProfessionalExperience","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/interfaces/cv/education","arrows":"from","label":"Education","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/classes/accomplishment/accomplishment","arrows":"from","label":"Accomplishment","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/interfaces/cv/language","arrows":"from","label":"Language","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/interfaces/cv/publication","arrows":"from","label":"Publication","font":{"align":"horizontal"}},{"to":"app/services/filter/filter.service","from":"app/interfaces/project/project","arrows":"from","label":"Project","font":{"align":"horizontal"}},{"to":"app/services/filter-general-timeline/filter-general-timeline.service","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/services/filter-general-timeline/filter-general-timeline.service","from":"app/classes/general-timeline-entry/general-timeline-entry","arrows":"from","label":"GeneralTimelineEntry","font":{"align":"horizontal"}},{"to":"app/services/filter-general-timeline/filter-general-timeline.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/gantt-chart/gantt-chart.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/gantt-chart/gantt-chart.service","from":"app/classes/gantt-chart-entry/gantt-chart-entry","arrows":"from","label":"GanttChartEntry","font":{"align":"horizontal"}},{"to":"app/services/gantt-chart/gantt-chart.service","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/services/gantt-chart/gantt-chart.service","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/services/gantt-chart/gantt-chart.service","from":"app/services/chart-color/chart-color.service","arrows":"from","label":"ChartColorService","font":{"align":"horizontal"}},{"to":"app/services/gantt-chart/gantt-chart.service","from":"app/model/chart/chart.model","arrows":"from","label":"ChartModel","font":{"align":"horizontal"}},{"to":"app/services/general-timeline/general-timeline.service","from":"app/services/gantt-chart/gantt-chart.service","arrows":"from","label":"GanttChartService","font":{"align":"horizontal"}},{"to":"app/services/general-timeline/general-timeline.service","from":"app/services/chart-color/chart-color.service","arrows":"from","label":"ChartColorService","font":{"align":"horizontal"}},{"to":"app/services/general-timeline/general-timeline.service","from":"app/classes/general-timeline-entry/general-timeline-entry","arrows":"from","label":"GeneralTimelineEntry","font":{"align":"horizontal"}},{"to":"app/services/general-timeline/general-timeline.service","from":"app/model/chart/chart.model","arrows":"from","label":"ChartModel","font":{"align":"horizontal"}},{"to":"app/services/geolocation/geolocation.service","from":"app/enums/geolocation-provider.enum","arrows":"from","label":"GeolocationProvider","font":{"align":"horizontal"}},{"to":"app/services/geolocation/geolocation.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/geolocation/geolocation.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/geolocation/geolocation.service","from":"app/services/geolocation/geolocation.default.json","arrows":"from","label":"GeolocationDefaultJSON","font":{"align":"horizontal"}},{"to":"app/services/image/image.service","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/services/image/image.service","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/services/image-data/image-data.service","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"app/services/input/input.service","from":"app/services/logger/logger.service","arrows":"from","label":"logger","font":{"align":"horizontal"}},{"to":"app/services/is-secure-guard/is-secure-guard.service","from":"environments/environment","arrows":"from","label":"environment","font":{"align":"horizontal"}},{"to":"app/services/logger/logger.service","from":"app/services/console-logger/console-logger.service","arrows":"from","label":"ConsoleLoggerService","font":{"align":"horizontal"}},{"to":"app/services/map/map.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/map/map.service","from":"app/model/model/model.model","arrows":"from","label":"ModelModel","font":{"align":"horizontal"}},{"to":"app/services/mock-data/mock-data.service","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/services/mock-data/mock-data.service","from":"app/services/image-data/image-data.service","arrows":"from","label":"ImageDataService","font":{"align":"horizontal"}},{"to":"app/services/mock-data/mock-data.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/mock-data/mock-data.service","from":"app/interfaces/ui/ui-entry","arrows":"from","label":"UiEntry","font":{"align":"horizontal"}},{"to":"app/services/ontology-adjuster/ontology-adjuster.service","from":"app/classes/ontology/ontology","arrows":"from","label":"Ontology","font":{"align":"horizontal"}},{"to":"app/services/persistence/persistence.service","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/services/persistence/persistence.service","from":"app/services/persistence/storage","arrows":"from","label":"StorageMechanism as Storage","font":{"align":"horizontal"}},{"to":"app/services/persistence/storage","from":"app/classes/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/portfolio/portfolio.service","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/services/portfolio/portfolio.service","from":"app/model/model/model.model","arrows":"from","label":"ModelModel","font":{"align":"horizontal"}},{"to":"app/services/portfolio/portfolio.service","from":"app/services/toolbar/toolbar.service","arrows":"from","label":"ToolbarService","font":{"align":"horizontal"}},{"to":"app/services/portfolio/portfolio.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/portfolio/portfolio.service","from":"app/services/count-cache/count-cache.service","arrows":"from","label":"CountCacheService","font":{"align":"horizontal"}},{"to":"app/services/portfolio/portfolio.service","from":"app/interfaces/project/project","arrows":"from","label":"Project","font":{"align":"horizontal"}},{"to":"app/services/portfolio/portfolio.service","from":"app/interfaces/events/responsive-changed-event","arrows":"from","label":"ResponsiveChangedEvent","font":{"align":"horizontal"}},{"to":"app/services/prompt-update/prompt-update.service","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/services/prompt-update/prompt-update.service","from":"app/services/error-handler/error-handler.service","arrows":"from","label":"errorHandler","font":{"align":"horizontal"}},{"to":"app/services/prompt-update/prompt-update.service","from":"app/services/logger/logger.service","arrows":"from","label":"logger","font":{"align":"horizontal"}},{"to":"app/services/search/search.service","from":"app/services/filter/filter.service","arrows":"from","label":"FilterService","font":{"align":"horizontal"}},{"to":"app/services/search/search.service","from":"app/model/model/model.model","arrows":"from","label":"ModelModel","font":{"align":"horizontal"}},{"to":"app/services/search-engine/search-engine.service","from":"app/services/search-tokenizer/search-tokenizer.service","arrows":"from","label":"SearchTokenizerService","font":{"align":"horizontal"}},{"to":"app/services/search-engine/search-engine.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/search-history/search-history.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/sorter/sorter.service","from":"app/enums/sorter-kind.enum","arrows":"from","label":"SorterKind","font":{"align":"horizontal"}},{"to":"app/services/sorter/sorter.service","from":"app/enums/sort-order.enum","arrows":"from","label":"SortOrder","font":{"align":"horizontal"}},{"to":"app/services/sorter/sorter.service","from":"app/enums/go.enum","arrows":"from","label":"Go","font":{"align":"horizontal"}},{"to":"app/services/sorter/sorter.service","from":"app/services/ui/ui.service","arrows":"from","label":"UiService","font":{"align":"horizontal"}},{"to":"app/services/sorter/sorter.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/tag-cloud-processor/tag-cloud-processor.service","from":"app/services/excel-date-formatter/excel-date-formatter.service","arrows":"from","label":"ExcelDateFormatterService","font":{"align":"horizontal"}},{"to":"app/services/tag-cloud-processor/tag-cloud-processor.service","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/services/theme-changer/theme-changer.service","from":"app/services/theme-changer/dynamic-persisted.decorator","arrows":"from","label":"DynamicPersisted","font":{"align":"horizontal"}},{"to":"app/services/theme-changer/theme-changer.service","from":"app/services/theme-changer/theme-config-variable","arrows":"from","label":"ThemeConfigVariable","font":{"align":"horizontal"}},{"to":"app/services/theme-changer/theme-changer.service","from":"app/services/theme-changer/app.theme.config.json","arrows":"from","label":"AppThemeConfigJSON","font":{"align":"horizontal"}},{"to":"app/services/theme-changer/theme-changer.service","from":"app/services/data/data.service","arrows":"from","label":"DataService","font":{"align":"horizontal"}},{"to":"app/services/theme-changer/theme-changer.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/theme-changer/theme-changer.service","from":"app/services/error-handler/error-handler.service","arrows":"from","label":"errorHandler","font":{"align":"horizontal"}},{"to":"app/services/toggle/toggle.service","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/services/toggle/toggle.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/toolbar/toolbar.service","from":"app/interfaces/events/responsive-changed-event","arrows":"from","label":"ResponsiveChangedEvent","font":{"align":"horizontal"}},{"to":"app/services/toolbar/toolbar.service","from":"app/interfaces/indexable","arrows":"from","label":"Indexable","font":{"align":"horizontal"}},{"to":"app/services/toolbar/toolbar.service","from":"app/model/model/model.model","arrows":"from","label":"ModelModel","font":{"align":"horizontal"}},{"to":"app/services/toolbar/toolbar.service","from":"app/services/engine/engine.service","arrows":"from","label":"EngineService","font":{"align":"horizontal"}},{"to":"app/services/toolbar/toolbar.service","from":"app/services/chart/chart.service","arrows":"from","label":"ChartService","font":{"align":"horizontal"}},{"to":"app/services/toolbar/toolbar.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/toolbar/toolbar.service","from":"app/enums/tag-cloud-display-mode.enum","arrows":"from","label":"TagCloudDisplayMode","font":{"align":"horizontal"}},{"to":"app/services/truncator/truncator.service","from":"app/enums/toggle-kind.enum","arrows":"from","label":"ToggleKind","font":{"align":"horizontal"}},{"to":"app/services/truncator/truncator.service","from":"app/enums/truncator-kind.enum","arrows":"from","label":"TruncatorKind","font":{"align":"horizontal"}},{"to":"app/services/truncator/truncator.service","from":"app/services/toggle/toggle.service","arrows":"from","label":"ToggleService","font":{"align":"horizontal"}},{"to":"app/services/truncator/truncator.service","from":"app/services/persistence/persistence.service","arrows":"from","label":"PersistenceService","font":{"align":"horizontal"}},{"to":"app/services/truncator/truncator.service","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}},{"to":"app/services/ui/ui.service","from":"app/model/portfolio/portfolio.model","arrows":"from","label":"PortfolioModel","font":{"align":"horizontal"}},{"to":"app/services/ui/ui.service","from":"app/services/image/image.service","arrows":"from","label":"ImageService","font":{"align":"horizontal"}},{"to":"app/services/ui/ui.service","from":"app/services/localization/localization.service","arrows":"from","label":"LocalizationService","font":{"align":"horizontal"}},{"to":"app/services/ui/ui.service","from":"app/services/string-ex/string-ex.service","arrows":"from","label":"StringExService","font":{"align":"horizontal"}}];
